#
# spec file for package rygel
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover      2_8-0
%define apiver     2.8
%define typelibver 2_8

Name:           rygel
Version:        0.44.1
Release:        1.3
Summary:        UPnP/DLNA home media server for GNOME
License:        LGPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            http://live.gnome.org/Rygel
Source0:        %{name}-%{version}.tar.zst

BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel >= 1.33.4
BuildRequires:  libunistring-devel
BuildRequires:  meson >= 0.50.0
BuildRequires:  pkgconfig
BuildRequires:  suse-xsl-stylesheets
BuildRequires:  vala >= 0.36.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8) >= 0.8.0
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.56.0
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gssdp-1.6)
BuildRequires:  pkgconfig(gst-editing-services-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-app-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= 1.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(gupnp-1.6) >= 1.1
BuildRequires:  pkgconfig(gupnp-av-1.0) >= 0.12.8
BuildRequires:  pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:  pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:  pkgconfig(gupnp-dlna-gst-2.0) >= 0.9.4
BuildRequires:  pkgconfig(libmediaart-2.0) >= 1.9.0
BuildRequires:  pkgconfig(libsoup-3.0) >= 3.2
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7
BuildRequires:  pkgconfig(sqlite3) >= 3.5
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(tracker-sparql-3.0)
Requires:       gstreamer-plugins-base
Recommends:     gstreamer-plugins-bad
Recommends:     gstreamer-plugins-good
Recommends:     gstreamer-plugins-ugly
%{?systemd_ordering}

%description
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network. In
technical terms, it is both a UPnP AV MediaServer and MediaRenderer
implemented through a plug-in mechanism. It conforms to DLNA and does
on-the-fly conversion of media to format that client devices are
capable of handling.

%package -n librygel-core-%{sover}
Summary:        Core library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-core-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the core library of rygel.

%package -n librygel-db-%{sover}
Summary:        Database library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-db-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the database library of rygel.

%package -n librygel-renderer-%{sover}
Summary:        Render library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-renderer-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the renderer library of rygel.

%package -n librygel-renderer-gst-%{sover}
Summary:        Gstreamer render library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-renderer-gst-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the renderer library of rygel.

%package -n librygel-ruih-%{sover}
Summary:        Remote User Interface handling library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-ruih-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the ruih library of rygel.

%package -n librygel-server-%{sover}
Summary:        Server library for the Rygel UPnP/DLNA media server
Group:          System/Libraries

%description -n librygel-server-%{sover}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides the server library of rygel.

%package -n typelib-1_0-RygelCore-%{typelibver}
Summary:        GObject introspection files for the Rygel core library
Group:          System/Libraries

%description -n typelib-1_0-RygelCore-%{typelibver}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

%package -n typelib-1_0-RygelRenderer-%{typelibver}
Summary:        GObject introspection files for the Rygel renderer library
Group:          System/Libraries

%description -n typelib-1_0-RygelRenderer-%{typelibver}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

%package -n typelib-1_0-RygelRendererGst-%{typelibver}
Summary:        GObject introspection files for the Rygel RendererGst library
Group:          System/Libraries

%description -n typelib-1_0-RygelRendererGst-%{typelibver}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

%package -n typelib-1_0-RygelServer-%{typelibver}
Summary:        GObject introspection files for the Rygel server library
Group:          System/Libraries

%description -n typelib-1_0-RygelServer-%{typelibver}
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

%package devel
Summary:        Development files for the Rygel UPnP/DLNA media server
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       librygel-core-%{sover} = %{version}
Requires:       librygel-db-%{sover} = %{version}
Requires:       librygel-renderer-%{sover} = %{version}
Requires:       librygel-renderer-gst-%{sover} = %{version}
Requires:       librygel-ruih-%{sover} = %{version}
Requires:       librygel-server-%{sover} = %{version}
Requires:       typelib-1_0-RygelCore-%{typelibver} = %{version}
Requires:       typelib-1_0-RygelRenderer-%{typelibver} = %{version}
Requires:       typelib-1_0-RygelRendererGst-%{typelibver} = %{version}
Requires:       typelib-1_0-RygelServer-%{typelibver} = %{version}

%description devel
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides development files for rygel.

%package plugin-gstreamer-renderer
Summary:        GStreamer renderer plugin for the Rygel UPnP/DLNA media server
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description plugin-gstreamer-renderer
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides a standalone MediaRenderer plugin, based on the
GStreamer playbin3 element.

%package plugin-tracker
Summary:        Tracker plugin for the Rygel UPnP/DLNA media server
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
Requires:       tracker
Supplements:    (%{name} and tracker)

%description plugin-tracker
Rygel is a home media server that allows sharing audio, video,
pictures, and control of media player on your home network.

This package provides a plugin using tracker to export media found on
the local machine.

%lang_package

%prep
%autosetup -p1

%build
%meson \
	-Dapi-docs=false \
	-Dsystemd-user-units-dir=auto \
	-Dexamples=false \
	-Dtests=false \
	-Dgstreamer=enabled \
	-Dgtk=enabled \
	-Dplugins=external,gst-launch,media-export,mpris,playbin,ruih,tracker3 \
	%{nil}
%meson_build

%check
%meson_test

%install
%meson_install

%fdupes %{buildroot}%{_datadir}
%find_lang %{name} %{?no_lang_C}

%ldconfig_scriptlets -n librygel-core-%{sover}
%ldconfig_scriptlets -n librygel-db-%{sover}
%ldconfig_scriptlets -n librygel-renderer-%{sover}
%ldconfig_scriptlets -n librygel-renderer-gst-%{sover}
%ldconfig_scriptlets -n librygel-ruih-%{sover}
%ldconfig_scriptlets -n librygel-server-%{sover}

%files
%license COPYING
%doc AUTHORS NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_userunitdir}/rygel.service
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_datadir}/rygel/
%{_datadir}/applications/rygel.desktop
%{_datadir}/applications/rygel-preferences.desktop
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/mx-extract
%{_mandir}/*/*
# Plugins that we ship by default because they don't have a dependency and can
# be useful to most people
%dir %{_libdir}/rygel-%{apiver}/
%dir %{_libdir}/rygel-%{apiver}/engines/
%dir %{_libdir}/rygel-%{apiver}/plugins/
%{_libdir}/rygel-%{apiver}/engines/librygel-media-engine-gst.so
%{_libdir}/rygel-%{apiver}/engines/librygel-media-engine-simple.so
%{_libdir}/rygel-%{apiver}/engines/media-engine-gst.plugin
%{_libdir}/rygel-%{apiver}/engines/media-engine-simple.plugin
# external applications implementing D-Bus MediaServer spec
%{_libdir}/rygel-%{apiver}/plugins/librygel-external.so
%{_libdir}/rygel-%{apiver}/plugins/external.plugin
# GStreamer pipelines in the config
%{_libdir}/rygel-%{apiver}/plugins/librygel-gst-launch.so
%{_libdir}/rygel-%{apiver}/plugins/gst-launch.plugin
# folders and files in the config
%{_libdir}/rygel-%{apiver}/plugins/librygel-media-export.so
%{_libdir}/rygel-%{apiver}/plugins/media-export.plugin
# media players implementing MPRIS2 D-Bus interface
%{_libdir}/rygel-%{apiver}/plugins/librygel-mpris.so
%{_libdir}/rygel-%{apiver}/plugins/mpris.plugin
# ruih plugin
%{_libdir}/rygel-%{apiver}/plugins/librygel-ruih.so
%{_libdir}/rygel-%{apiver}/plugins/ruih.plugin

%files -n librygel-core-%{sover}
%{_libdir}/librygel-core-%{apiver}.so.*

%files -n librygel-db-%{sover}
%{_libdir}/librygel-db-%{apiver}.so.*

%files -n librygel-renderer-%{sover}
%{_libdir}/librygel-renderer-%{apiver}.so.*

%files -n librygel-renderer-gst-%{sover}
%{_libdir}/librygel-renderer-gst-%{apiver}.so.*

%files -n librygel-ruih-%{sover}
%{_libdir}/librygel-ruih-%{apiver}.so.*

%files -n librygel-server-%{sover}
%{_libdir}/librygel-server-%{apiver}.so.*

%files -n typelib-1_0-RygelCore-%{typelibver}
%{_libdir}/girepository-1.0/RygelCore-%{apiver}.typelib

%files -n typelib-1_0-RygelRenderer-%{typelibver}
%{_libdir}/girepository-1.0/RygelRenderer-%{apiver}.typelib

%files -n typelib-1_0-RygelRendererGst-%{typelibver}
%{_libdir}/girepository-1.0/RygelRendererGst-%{apiver}.typelib

%files -n typelib-1_0-RygelServer-%{typelibver}
%{_libdir}/girepository-1.0/RygelServer-%{apiver}.typelib

%files devel
%{_includedir}/rygel-%{apiver}/
%{_libdir}/librygel-core-%{apiver}.so
%{_libdir}/librygel-db-%{apiver}.so
%{_libdir}/librygel-renderer-%{apiver}.so
%{_libdir}/librygel-renderer-gst-%{apiver}.so
%{_libdir}/librygel-server-%{apiver}.so
%{_libdir}/librygel-ruih-%{apiver}.so
%{_libdir}/pkgconfig/rygel-core-%{apiver}.pc
%{_libdir}/pkgconfig/rygel-renderer-%{apiver}.pc
%{_libdir}/pkgconfig/rygel-renderer-gst-%{apiver}.pc
%{_libdir}/pkgconfig/rygel-ruih-%{apiver}.pc
%{_libdir}/pkgconfig/rygel-server-%{apiver}.pc
%{_datadir}/gir-1.0/RygelCore-%{apiver}.gir
%{_datadir}/gir-1.0/RygelRenderer-%{apiver}.gir
%{_datadir}/gir-1.0/RygelRendererGst-%{apiver}.gir
%{_datadir}/gir-1.0/RygelServer-%{apiver}.gir
%{_datadir}/vala/vapi/rygel-core-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-core-%{apiver}.vapi
%{_datadir}/vala/vapi/rygel-db-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-db-%{apiver}.vapi
%{_datadir}/vala/vapi/rygel-renderer-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-renderer-%{apiver}.vapi
%{_datadir}/vala/vapi/rygel-renderer-gst-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-renderer-gst-%{apiver}.vapi
%{_datadir}/vala/vapi/rygel-ruih-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-ruih-%{apiver}.vapi
%{_datadir}/vala/vapi/rygel-server-%{apiver}.deps
%{_datadir}/vala/vapi/rygel-server-%{apiver}.vapi

%files plugin-gstreamer-renderer
%{_libdir}/rygel-%{apiver}/plugins/librygel-playbin.so
%{_libdir}/rygel-%{apiver}/plugins/playbin.plugin

%files plugin-tracker
%{_libdir}/rygel-%{apiver}/plugins/librygel-tracker3.so
%{_libdir}/rygel-%{apiver}/plugins/tracker3.plugin

%files lang -f %{name}.lang

%changelog
* Sat Oct 12 2024 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.44.1:
  + Server: Fix progress reporting for ImportResource.
  + MediaExport: Fix a critical when unable to detect mime type.
* Sun Sep 15 2024 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.44.0:
  + Updated translations.
* Sun Jun 30 2024 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.43.0:
  + Tracker: Plugin removed, please use Tracker3
  + LMS: Plugin removed
  + Updated translations.
- Stop passing lms to meson option call, no longer needed nor used
  since the plugin is removed.
* Tue May  7 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 0.42.6:
  + MediaExport: Do not ignore dangling symlinks forever.
  + External Plug-in: Fix issue with recent Vala version.
  + Updated translations.
* Wed Feb 28 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 0.42.5:
  + Core: Fix issue with devices that cannot handle DLNA 1.51.
  + Server:
  - Fix issue with Raumfeld devices not supporting OGG
  - Actually validate derivedFrom operator
  + MediaExport Fix critical after a change in glib.
  + Updated translations.
* Wed Aug  2 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.42.4:
  + Fix building with meson 1.2.0.
  + Updated translations.
- Drop meson-1_2-typo-fix.patch: Fixed upstream.
* Wed Jul 19 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Add meson-1_2-typo-fix.patch: Fix typo exposed by meson 1.2
* Sat Apr 22 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.42.3:
  + Server: Fix endless loop in XML namespace lookup
* Sat Apr  1 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.42.2:
  + Server:
  - Fix issue with urls having "." in them
  - Export disc numbers
  + Tracker3: Export disc numbers
  + MediaExport: Export disc numbers
  + Updated translations.
* Sun Feb 12 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.42.1:
  + Fix incomplete API/ABI switch to 2.8.
  + Document the necessity of X.init_threads().
  + Fix a type mismatch for the collation helper.
  + Re-enable the since checker.
  + Remove deprecated calls to GSSDP/GUPnP.
  + Updated translations.
- Drop rygel-fix-rygel-pcfiles.patch: Fixed upstream.
* Mon Sep 19 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Add rygel-fix-rygel-pcfiles.patch: Fix requires and linking
  in .pc files.
- Fix broken Supplements in sub-package.
* Sat Sep 17 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.42.0:
  + Remove obsolete .desktop entries.
  + Updated translations.
* Sat Aug 27 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.41.2:
  + Port to GLib's UUID function.
  + Temporarily disable the Since check during build.
  + Updated translations.
- Changes from version 0.41.1:
  + Fix deprecations in meson files.
  + Adapt to VAPI changes in GUPnP.
  + Updated translations.
- Changes from version 0.41.0:
  + Overall:
  - Use GUPnP 1.6 API
  - Use Libsoup 3 API
  - API bump to 2.8
  - ABI reset
  + Confirmation UI: Do not install ui file if preferences are not
    built
  + Documentation:
  - Fix gtk-doc generation and installation
  - Add option "man_pages" to disable man pages
  + Config: Fix Tracker3 configuration
  + Presets:
  - Add presets for more encoders
  - Fix mp4 muxing
  - Support VA-API MPEG2 encoding
  - Support VA-API H.264 encoding
  + Rygel: Port to GApplication instead of using our own single
    instance mechanism
  + Core: Make plugin loader more predictable
  + Server: Add albumArtURI to VideoItem for devices that use that
    for the thumbnail
  + Renderer: Fix a critical if there is no mime_type
  + MediaExport:
  - Strip XML extensions (for DIDL_S playlists)
  - Support ".nomedia" to skip indexing folders
  - If database upgrade failed, do not activate plugin
  - Treat parallel Tracker3 module similar to original Tracker
    plugin
  - Drop deperecated ValueArray
  - Fix disabling meta-data extraction
  + LMS: Drop deprecated ValueArray
  + Tracker (old): Disable by default
  + Tracker3:
  - Fix Video graph
  - Fix deadlock on start
  - Do not kill whole rygel if service is not activatable
  + GStreamer Media Engine:
  - Adapt to deprecations
  - Fix pipeline blocking issue when transcoding from video-only
    files
  + Bugs fixed: glgo#GNOME/rygel#151, glgo#GNOME/rygel#160,
    glgo#GNOME/rygel#166, glgo#GNOME/rygel#173,
    glgo#GNOME/rygel#183, glgo#GNOME/rygel#187,
    glgo#GNOME/rygel#190, glgo#GNOME/rygel#192,
    glgo#GNOME/rygel#192, glgo#GNOME/rygel#196,
    glgo#GNOME/rygel#208.
- Replace pkgconfig(gssdp-1.2), pkgconfig(gupnp-1.2) and
  pkgconfig(libsoup-2.4) with pkgconfig(gssdp-1.6),
  pkgconfig(gupnp-1.6) and pkgconfig(libsoup-3.0) BuildRequires
  following upstream changes.
- Use ldconfig_scriptlets macro for post(un) handling.
- Add sover, apiver and typelibver defines, make future
  soname/ABI/API updates less of a chore to do.
- Drop update-desktop-files BuildRequires and macrocalls, no longer
  needed.
* Fri Jun 17 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.40.4:
  + Do not install UI file if preferences are not built.
  + Renderer: Fix critical if mime_type is missing.
  + Tracker3: Do not exit if service is missing.
  + MediaExport: Fix running without media indexing.
  + Updated translations.
- Update plugin-tracker Supplements to current standard.
- Drop plugin-zdf-mediathek Obsoletes, last available 6 years ago,
  we can expect everyone have moved on by now.
* Sun Jan  9 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.40.3:
  + Tracker3:
  - Fix deadlock on start-up.
  - Use the correct graph name for Videos.
* Mon Sep 20 2021 Stanislav Brabec <sbrabec@suse.com>
- Remove obsolete translation-update-upstream support
  (jsc#SLE-21105).
* Sun Sep 19 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.40.2:
  + Disable tracker2 in default build options.
  + Fixed potential race condition in meson build.
  + Updated translations.
* Sat Feb 20 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.40.1:
  + Server: Set albumArtUri on Videos to provide thumbnails for the
    PS4
  + MediaExport: Strip xml suffix when generating titles from
    filenames
  + Documentation: Fix generation and install location
  + Tracker3: Add section to the default configuration file
  + Updated translations.
* Mon Jan  4 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update/correct the description of
  rygel-plugin-gstreamer-renderer, it is now based on playbin3.
* Mon Sep 14 2020 dimstar@opensuse.org
- Update to version 0.40.0:
  + Updated translations.
* Mon Sep  7 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Switch to Tracker 3:
  + Replace pkgconfig(tracker-sparql-2.0) BuildRequires with
    pkgconfig(tracker-sparql-3.0).
  + Pass -Dplugins=external,gst-launch,lms,media-export,mpris, \
    playbin,ruih,tracker3 to meson: the tracker plugin does not
    auto disable if the deps are missing.
* Fri Sep  4 2020 dimstar@opensuse.org
- Update to version 0.39.2:
  + Core: Allow loading plugin that conflicts with a disabled
    plugin.
  + Server: Check for subtitles only on "local" files.
  + Rygel: Support IPv6 if supported by GUPnP context manager.
  + Tracker: Add missing default in case.
  + Tracker3:
  - Make it an optional dependency.
  - Add mising default in case.
  - Update for API break in 2.99.
  + GstLaunch:
  - Fix critical about missing media engine.
  - Fix missing updated() call.
  - Update resolution of examples.
  + MediaExport: Fix missing title in virtual containers.
- Changes from version 0.39.1:
  + Tests: Add missing test sample files.
- Changes from version 0.39.0:
  + All:
  - Remove deprecated GTimeVal.
  - Fix "potential null access" warnings with newer Vala.
  + Autotools Build: Removed.
  + Core:
  - Actually use pretty hostname.
  - Drop libtool support from plugin loader.
  - Add support for "Conflicts:" keyword in plugin files.
  + Server:
  - Provide subtitles as transcoded resource.
  - Hack subtitle mime-types for LG devices.
  - Fix a missing nullable argument.
  + Tracker:
  - Fix date-time check for New container.
  - Remove obsolete variables.
  - Fix query for nmm:albumTitle (now nie:title).
  + Tracker3: Add initial support for new Tracker API 3.0.
  + MediaExport: Drop the termin "Blacklist".
  + GStreamer Renderer:
  - Port to playbin3.
  - Fix GIR namespace errors during vala compile.
  + GStreamer Media Engine:
  - Restore transmuxing capabilities.
  - Fix time-based seeking on transcoded resources.
  + Data: Fix desktop file.
  + Updated translations.
- Add pkgconfig(gst-editing-services-1.0) BuildRequires: new
  dependency.
* Sat Jul  4 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.38.4:
  + Core: Actually use the pretty hostname if found.
  + Server: Fix missing nullable argument.
  + Rygel: Add debug output regarding the currently applied ACL
    policy.
  + Server: Fix TimeSeekRange headers being locale-dependent.
  + Tracker:
  - Some fixes for compatibility with recent vala.
  - nmm:albumTitle was removed ages ago, use nie:title.
  + GStreamer Media Engine: Do not seek on encodebin.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Sat Nov 23 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.38.3:
  + Autotools: Dist meson build files.
  + Data: Remove useless Comment: from rygel.desktop.
* Sun Oct 20 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.38.2:
  + Meson Build:
  - Fix installation dir for presets.
  - Fix installation dir for icons.
  - Add option to disable introspection completely.
  - Add glib as a dependency to get --target-glib passed on.
  - Fix version string in pkg-config.
  - Generate libtool link flags into pkg-config files for
    backward-compatibility.
  - Do not drop date from manpage.
  + All: Clean up code that caused unnecessary C code to be
    generated.
  + Core: Fix a potential fd leak.
  + Media Export:
  - Drop NOENT XML parsing option.
  - Drop RECOVER XML parsing option.
  + GStreamer Media Engine: Link against -lm where necessary.
  + Simple Media Engine:
  - Obey lseek return value.
  - Simplify code by using IOError.from_errno.
  + Documentation: Fix building the references using wong GUPnP
    version.
  + Examples:
  - Fix unblacklisting in mx-info.
  - Add option to show blacklist in mx-info.
- Switch to gitcheckout via source service, upstream tarball is
  currently broken.
- Add meson BuildRequires and activate the macros already in place.
  Following this, drop libtool BuildRequires: No longer needed, nor
  used.
* Wed Jun 12 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Drop systemd BuildRequires: there is already pkgconfig(systemd)
  present, which is sufficient.
- Replace systemd_requires macro with systemd_ordering: systemd is
  not strictly required for rygel to be usable, but if systemd and
  rygel are installed as part of one transaction, we would like to
  see systemd installed first.
* Fri May 24 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.38.1:
  + Several build fixes for recent vala.
  + Updated translations.
* Tue Mar 12 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.38.0:
  + Examples:
  - Fix crash if logo is missing in full-screen renderer.
  - Fix missing GResource for full-screen renderer.
  + Renderer: Fix a critical if mime type is not present.
- Add libtool BuildRequires and pass autogen.sh, bootstrap tarball.
- Drop api documentation, no longer provided in tarball.
* Wed Feb 13 2019 bjorn.lie@gmail.com
- Update to version 0.37.2:
  + Build:
  - Bump GLib dependency to 2.44.
  - Drop Valac requirement to 0.36.
  + Server:
  - Fix @ADDRESS@ replacement for proxy or transcoded urls.
  - Use a proper check for localhost.
  - Add some hacks for LG devices.
  + MediaExport:  Document blacklisting behaviour.
  + Updated translations.
* Sat Jan  5 2019 bjorn.lie@gmail.com
- Update to version 0.37.1:
  + Add meson build files.
  + Port to GSSDP and GUPnP 1.2 API.
  + Preliminary IPv6 support.
- Changes from version 0.37.0:
  + All:
  - Update URLs for gitlab
  - Fix compiler warnings in C code
  - Documentation updates
  - Fix several deprecated functions
  + Renderer: Fix type argument mismatch of return value
  + GStreamer Media Engine: Implement JPEG transcoding
  + GStreamer Renderer:
  - Make sinks configurable
  - Add support for audio/aac mime type
  + Server: Move engine intialization into server plugin
  + MediaExport: Remove dead code
  + Updated/added dependencies:
  - Vala version requirement bumped to 0.40
  - GTK+ requirement bumped to 3.22
  - GStreamer requirement bumped to 1.12
  + Bugs fixed: glgo#GNOME/rygel#120, glgo#GNOME/rygel#7.
  + Updated translations.
- Replace libgupnp-devel, libgupnp-av-devel, libsoup-devel and
  sqlite3-devel with pkgconfig(gupnp-1.2), pkgconfig(gupnp-av-1.0),
  pkgconfig(libsoup-2.4) and pkgconfig(sqlite3) BuildRequires:
  Align with what configure checks for.
- Add pkgconfig(gio-2.0), pkgconfig(gio-unix-2.0),
  pkgconfig(gmodule-2.0), pkgconfig(gssdp-1.2) and
  pkgconfig(gupnp-dlna-2.0): Align with what configure checks for.
* Fri Sep  7 2018 bjorn.lie@gmail.com
- Update to version 0.36.2:
  + Build:
  - Allow building examples stuff without gstreamer-video.
  - Bump GSSDP requirement.
  + All:
  - Fix property default values for newer vala.
  - Fix position of asynchronous out parameters with newer vala.
  - Fix warnings regarding errors on DBus methods with newer
    vala.
  + Core: Fix using localized directory names for config directory.
  + GStreamer Renderer: Add support for "video/avi".
  + Media Export: Don't scrub file name when extract-metadata is
    false.
  + Bugs fixed in this release: glgo#GNOME/rygel!114,
    glgo#GNOME/rygel!118, glgo#GNOME/rygel!119, bgo#792358.
  + Updated translations.
- Add fdupes BuildRequires and corresponding macro, remove
  duplicates.
* Tue Mar 20 2018 dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
  Tumbleweed, this results in a NOP and for Leap in SLE paid
  translations being used (boo#1086036).
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Feb  5 2018 bjorn.lie@gmail.com
- Update to version 0.36.1:
  + Examples:
  - Fix building examples without Wayland.
  - Fix mx-info to use Python 3.
  + Tracker:
  - Fix SPARQL syntax error.
  - Fail configure if tracker-sparql is not found at all.
  + Bugs fixed: bgo#791921.
  + Updated translations.
- Drop no longed needed post(un) handling of
  desktop_database_post(un) and icon_theme_cache_post(un) macros,
  we have file triggers taking care of this for us now.
* Mon Sep 11 2017 zaitor@opensuse.org
- Update to version 0.36.0:
  + Updated translations.
* Fri Sep  8 2017 jengelh@inai.de
- Update package descriptions.
* Wed Aug  9 2017 zaitor@opensuse.org
- Update to version 0.35.0:
  + Fix missing COPYING.logo in tarball.
  + Fix XML generation rule for out-of-tree builds from git.
  + Fix Build issue for dist tarballs with Yocto 2.2.
  + Fix GStreamer dependency for media engine.
  + Examples: Add logo to fullscreen renderer.
  + Server: Fix guessing user agent from SSDP/UPnP communication.
  + Renderer: Remove NOT_IMPLEMENTED for SetNextAVTransport.
  + MediaExport: Log if setting nice value for extractor fails.
  + Tracker: Search for 2.0 API.
  + Bugs fixed: bgo#778829.
  + Updated translations.
- Drop rygel-tracker-2_0.patch: Fixed upstream. Following this,
  drop gnome-common BuildRequires and stop passing autoreconf.
* Fri Jul 21 2017 zaitor@opensuse.org
- Add rygel-tracker-2_0.patch: Fix build with new tracker, patch
  from upstream git. Replace pkgconfig(tracker-sparql-1.0) with
  pkgconfig(tracker-sparql-2.0) BuildRequires following the port.
- Following the above, add gnome-common BuildRequires and pass
  autoreconf, as the patch touches the buildsystem.
* Mon Mar 20 2017 dimstar@opensuse.org
- Update to version 0.34.0:
  + Updated translations.
* Tue Mar 14 2017 zaitor@opensuse.org
- Update to version 0.33.92:
  + Fix RUIH pkg-config file.
  + Updated translations.
* Mon Feb 27 2017 zaitor@opensuse.org
- Update to version 0.33.90:
  + Server: Add hack for XBMC on original XBox hardware.
  + Settings UI: Fix compilation with Vala master.
  + MediaExport: Improve start-up speed by not re-querying mime
    types every time.
  + Bugs fixed: bgo#777703, bgo#778778.
  + Updated translations.
* Tue Feb 14 2017 zaitor@opensuse.org
- Update to version 0.33.1:
  + Disable media-engine test, it is racy.
  + Core: Make configration helper classes publically avalable.
  + GStreamer renderer: Support audio/wav, needed by some Samsung
    mobile servers.
  + Examples: Fix C server example.
  + Bugs fixed: bgo#769189, bgo#777379, bgo#778526.
  + Updated translations.
- Conditionally apply translations-update-upstream BuildRequires
  and macro for non-openSUSE only.
* Tue Jan 17 2017 dimstar@opensuse.org
- Update to version 0.33.0:
  + Several fixes for recent vala compiler.
  + MediaExport: Blacklist VA-API for extractor.
  + Bugs fixed: bgo#775152.
  + Updated translations.
* Mon Oct 10 2016 zaitor@opensuse.org
- Update to version 0.32.1:
  + Fix compile warnings with newer vala compiler.
  + Updated translations.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 0.32.0:
  + Updated translations.
* Mon Sep 12 2016 zaitor@opensuse.org
- Update to version 0.31.6:
  + Fixes for Rygel systemd service file (bgo#766332).
  + Updated translations.
* Mon Aug 29 2016 zaitor@opensuse.org
- Update to version 0.31.5:
  + Several translation-related fixes.
  + Fix .desktop file generation.
  + Core library:
  - Fix configuration dir generation.
  - Fix criticals on unset XDG_* variables.
  - Make it possible to add a fixed UDN.
  + MediaExport plugin: Clean-up titles a bit more thoroghly.
  + Tracker:
  - Fix criticals on unset XDG_* variables.
  - Fix URL filter.
  - Skip URL filter if pattern substitution failed.
  + Bugs fixed: bgo#730910, bgo#770276, bgo#770531.
  + Updated translations.
* Tue Aug 16 2016 dimstar@opensuse.org
- Update to version 0.31.4:
  + GStreamer Media engine: Don't proxy HTTP URIs.
  + Bugs fixed: bgo#769283.
  + Updated translations.
* Wed Jul 20 2016 zaitor@opensuse.org
- Update to version 0.31.3:
  + Explain interface list a bit better in documentation.
  + Remove obsolete 'upnp-enabled' switch from default config.
  + Core: Fix log level mix-up.
  + Rygel: Allow IP addresses in interface list.
  + Simple media engine: Pass non-file resources as-is.
  + MediaExport:
  - Refactor meta-data extraction.
  - Speed up image parsing.
  + Bugs fixed: bgo#767305, bgo#768010.
  + Updated translations.
- Add pkgconfig(gdk-pixbuf-2.0) BuildRequires: New dependency.
* Tue Jun 21 2016 zaitor@opensuse.org
- Update to version 0.31.2:
  + Check whether xsltproc is able to build the manpages.
  + Don't try to build manpages when xsltproc isn't available.
  + Check for libmediaart VAPI file.
  + Rygel:
  - Fix critical when running without D-Bus.
  - When we ignore a context, disable it.
  + Examples: Fix resource generation.
  + Bugs fixed: bgo#767448, bgo#767458, bgo#767459.
- Add explicit suse-xsl-stylesheets BuildRequires: Needed now that
  configure checks for abilities for man-pages generation.
* Mon Jun  6 2016 zaitor@opensuse.org
- Update to version 0.31.1:
  + Rygel: Add a way for Rygel to be started on user bus.
  + Server:
  - Remove some annoying warnings.
  - Add hack to suport AVI playback on Philips TVs.
  - Fix potential issue with calling strlen on a NULL pointer.
  + GStreamer media engine: Use local path instead of FUSE uri.
  + Tracker: Add an option to limit the exposed files to a set of
    directories.
  + MediaExport:
  - Use local path instead of FUSE uri to fool GStreamer in not
    using giosrc.
  - Drop some annoying warnings.
  - Fix artist view in XBox 360.
  + LMS: Fix license text.
  + Mediathek: Removed.
  + Bugs fixed: bgo#685800, bgo#765898, bgo#766332.
  + Updated translations.
- Drop plugin-zdf-mediathek sub-package, and stop passing
  - -enable-mediatek to configure following upstreams removal.
- Following the above: Add plugin-zdf-mediathek Obsoletes.
- Stop installing rygel.service manually. Rygel now comes with
  support for systemd --user service. Our service was broken
  anyway.
* Mon Jun  6 2016 zaitor@opensuse.org
- Update to version 0.31.0:
  + Fix desktop.in files to which created invalid desktop files
    after being  processed.
  + Disable upload and remove file removal in default
    configuration.
  + Minor documentation updates,
  + Fix output of build summary to show proper tracker version.
  + Core:
  - Always delay reload of config files to prevent reading empty
    files.
  - Make plugin loader watch the config making it possible to
    enable/disable plugins on-the-fly.
  - Fix a possible strncpy overflow in ARP lookup.
  + Server:   Clean up HTTP GET request handling.
  + Rygel:
  - Fix an issue where we pass NULL to a DBus function causing
    criticals.
  - Fix plugin name and make it possible to actually deactivate
    it.
  + Tracker: Clean up plugin startup.
  + GStreamer renderer: Fix log domain.
  + Playbin: Clean up plugin startup.
  + MediaExport:
  - If allow-upload is not set, then make it impossible for
    MediaExport to remove files from the disk.
  - Fix a critical when disconnecting a non-existing signal.
  + Db: Generate api documentation.
  + Tests: Reenable MediaEngine tests.
  + Updated translations.
* Mon Jun  6 2016 dimstar@opensuse.org
- Update to verson 0.30.3:
  + Add a way for Rygel to be started on user systemd
  + Core: Fix potential strncpy overflow in BasicManagement
  + Server:
  - Remove annoying warning
  - Add hack to support AVI files on newer Philips TVs
  - Fix potential crash when applying DIDL
  + MediaExport:
  - Remove annoying warning
  - Fix Artist hierarchy on XBox 360
  + Bugs fixed: bgo#685800, bgo#766332, bgo#766757.
- Add pkgconfig(systemd) BuildRequires: auto-detect the location to
  install the user service file to.
- Add /sbin/ldconfig call to post/postun scriptlet of
  librygel-db-2_6-2.
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 0.30.2:
  + Updated translations.
* Tue Apr 12 2016 zaitor@opensuse.org
- Update to version 0.30.1:
  + LMS: Use "LMS" as section for the plugin consistently.
  + Core: Always delay reload of config file to prevent double
    change notifications.
  + Rygel: Fix an issue with passing NULL to Vala DBus functions.
  + MediaExport:
  - If "allow-upload" is set to false, don't create writable
    containers to prevent filesystem modifications.
  - Prevent a critical when "uris" configuration is changed due
    to non-existing timer.
  + Bugs fixed: bgo#764016, bgo#764829.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 0.30.0:
  + Replace glib-gettext and intltool with gettext.
  + Bugs fixed: bgo#763586.
  + Updated translations.
- Drop intltool BuildRequires: no longer needed.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 0.29.5:
  + Remove obsolete configuration entries from documentation.
  + Fix underlinking.
  + Database:
  - Don't try to alter r/o databases.
  - Remove obsolete PRAGMA.
  + MediaExport: Remove all WS from DVD XML.
  + LightMediaScanner: Add config to template and docs for the
    config.
- Replace libsoup-devel BuildRequires with pkgconfig(libsoup-2.4).
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 0.29.4:
  + Simplify detection of tracker on compile time.
  + Server: Print sort critera used for the browse request in
    debug.
  + Database: Add possibilty to dump the SQL using an environment
    variable.
  + GStreamer Media Engine:
  - Do not crash if dvdreadsrc is not available.
  - Fix time-based seeking on DVDs.
  + Rygel: Improve signalling for changes in config files.
  + MediaExport:
  - Some style fixes.
  - Fix DVD containers.
  - Really clean AVI titles.
  - Switch back to dvd:// URI scheme.
  - Prevent criticals when parsing playlists.
  - Don't leak XML doc in DVD parser.
  - Don't break on broken XML files lsdvd may produce.
  - Fix setting the track id for multi-track DVDs.
  + Lightmediascanner: Switch to use the database in read-only
    mode.
  + Tests: Reenable some of them.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 0.29.3:
  + Core: Fix a small memory leak with DescriptionDocument
    handling.
  + Server: Add "Server:" HTTP header.
  + MediaExport:
  - Fix DLNA profile and extension for DVD isos to improve
    compatibility with more renderers.
  - Some code refactoring.
  - Remove UNIX signal handling from mx-extract.
  - Get the tile of the DVD from the file name, not from the
    volume title.
  - If the DVD has only one title, export it directly.
  - Try to make nice movie titles for videos.
  - Avoid a potential race condition and crash on slow startup.
  + GstLaunch: Fix URI generation.
  + GStreamer media engine: Fix URI generation.
  + Bugs fixed: bgo#747816.
  + Updated translatins.
* Tue Feb  9 2016 dimstar@opensuse.org
- Update to version 0.29.2:
  + Database:
  - Use GObject-style construction for Database.
  - Add possibility to re-bind a Cursor.
  + Server:
  - Fix thumbnails with some Samsung TVs.
  - Hide engine-internal URIs.
  - Indent request headers for better readability.
  - Fix Range header of resources with unknown length.
  - Improve MIME -> extension mapping.
  - Add explicit check for @restricted.
  + MediaExport:
  - Really remove broken/empty cache DVD file.
  - Skip DVD if lsdvd isn't available instead of blacklisting.
  + GStreamer Media Engine: Fix serving resources with unspecified
    length.
  + Gst-Launch: Fix setting of DLNA profile.
  + LMS: Replace custom database functions with implementations
    from Rygel.Database.
  + Bugs fixed: bgo#721312, bgo#740266.
  + Updated translations.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 0.29.1:
  + Fix license text of code to be LGPLv2.1+ proper.
  + Fix license of logo to be CC-BY-SA-3.0.
  + Add a plugin to support LightweightMediaScanner.
  + Core: Avoid crash if plugin folder is missing.
  + Server:
  - Avoid a crash on empty protocol info.
  - Fix issue with calculating end byte in partial request.
  - Playlists need to support INTERACTIVE transport mode.
  - Some code cleanup.
  - Set albumArtURI when applying DIDL on UpdateObject call.
  + GStreamer media engine: Remove broken transmuxing.
  + MediaExport:
  - Some code cleanup.
  - Add support for .iso files and VIDEO_TS folders.
  + Examples: Add option to unblacklist files from MediaExport
    database to mx-info.
  + Bugs fixed: bgo#756823, bgo#757056, bgo#757570, bgo#801521.
  + Updated translations.
* Sun Dec 13 2015 zaitor@opensuse.org
- Update to version 0.28.2:
  + Include SVG logo again with updated license.
  + Server:
  - Properly calculate end byte of partial requests. Fixes a lot
    of weird issues with Samsungs and Kodi.
  - Make generated playlists support INTERACTIVE transfer mode.
  + Bugs fixed: bgo#756823.
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 0.28.1:
  + Server: Fix a potential crash if there is no protocol info
    provided.
  + MediaExport:
  - Fix database upgrade from v16 to v17.
  - Use correct install path for out-of-process helper binary.
  + GStreamer Media Engine: Remove failed attempt to do
    transmuxing.
  + Bugs fixed: deb#801521, deb#800896.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 0.28.0:
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 0.27.6:
  + Database: Fix issue introduced with 0.27.5 that caused exec()
    to only run the first query of a list of ";"-separated queries.
  + Media-Export:
  - Fix extration with disabled meta-data.
  - Fix extraction of DIDL_S playlists.
  - Small simplification and removal of accidental debug warnings.
  + Mediathek:
  - Use new default feed because the old one does not exist
    anymore.
  - Remove WMV support because it got removed from the service.
    This is a major problem as the MP4 support is provided using
    RTSP and we need to fix bgo#651535 to make it usable for all
    renderers again.
  - Fix automatic resource generation.
  + BUg fixed: bgo#754420.
  + Updated translations.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 0.27.5:
  + Gst-Launch: Fix missing resources.
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 0.27.4:
  + Server:
  - Fix MediaResource copy constructor to copy import_uri.
  - Serialize import URI properlie in MediaResource.
  - Fix rewriting of subtitle URIs in PV tag.
  - Add PV subtitle to all resources.
  + Database:
  - Make it a little bit more generic
  - Fix vala deps.
  + GStreamer media engine: Do not add transcoded resources for
    place-holder items.
  + Bugs fixed: bgo#753314.
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Update to version 0.27.3:
  + Remove streaming only mode.
  + Switch DLNA version to 1.51 to accomodate for the long
    protocolInfo strings.
  + Bump GLib and Vala requirements.
  + Add an implementation for GUPnPACL based on a DBus interface.
  + MediaExport plugin:
  - Add back album art extraction.
  - Add back possibility to not harvest meta-data.
  - Add timing output for HarvestingTask.
  - Add a blacklist database table and bump database schema to v17.
  - Add back by-passing of text files for the extractor.
  - Add blacklisting for broken URIs.
  - Drop support for database schema upgrade for versions < v16.
  - Translation and style fixes.
  + Bugs fixed: bgo#747815, bgo#748404, bgo#751942, bgo#752207.
  + Updated translations.
* Wed Jul  1 2015 dimstar@opensuse.org
- Update to version 0.27.2:
  + Make configure.ac a bit easier to read.
  + Database: Move core database functionality into its own library
    so code may be shared (e.g. LMS, ODID, …).
  + MediaExport plugin:
  - Refactor and style fixes.
  - Split meta-data extraction into an external process.
  - Move core database functionality into its own library.
  + Bugs fixed: bgo#749798.
  + Updated translations.
- Split new librygel-db-2_6-2 package.
* Wed May 27 2015 dimstar@opensuse.org
- Update to version 0.27.1:
  + Coding style fixes.
  + Link plug-ins to only export the necessary symbols.
  + Use gupnp_get_uuid () instead of libuuid directly.
  + String updates.
  + Core: Make it possible to change the device's serial number.
  + Server:
  - Fix output of to_string() method for HTTPByteSeekResponse.
  - Make MP3 the preffered audio resource for LG devices.
  - Fix mime-type rewriting.
  - Do not add child count to DIDL-Lite if it's < 0.
  - Do not add 1--1/* range response headers.
  - Fix replacing of @ADDRESS@ variable in URIs.
  + Renderer:
  - Fix TransportActions for images.
  - Fix slide-show feature handling.
  + GStreamer renderer:
  - Prevent a critical message.
  - Remove deprecated API.
  - Make it possible to override the User-Agent header.
  - Remove obsolete helper code from GStreamer 0.10.
  + RUIH: Check mandatory arguments.
  + External Plug-in:
  - Actually add resources to items.
  - Use -1 as "unknown child count" instead of int.MAX.
  + GStreamer media engine:
  - Handle non-file uris.
  - Do not add transcoder if the original resource is the same
    profile.
  - Move URIs that are already HTTP to the top of the list.
  + Simple media engine: Use a thread pool if available.
  + Bugs fixed: bgo#731467, bgo#746679, bgo#748410, bgo#748628,
    bgo#748769, bgo#749771.
  + Updated translations.
- Drop libuuid-devel BuildRequires: no longer needed.
* Sun May 10 2015 zaitor@opensuse.org
- Update to version 0.26.1:
  + Fix underlinking of RUIH library.
  + Server:
  - Prevent a crticial warning.
  - Make Kodi a variant of XBMC in hacks,
  - Prevent a crash on missing thumbnails.
  - Fix npt= header parsing.
  + Renderer: Fix wrong double escaping.
  + GStreamer media engine:
  - Fix time-based seeking.
  - Fix resource duration handling for transcoded resources.
  + Examples: Fix the C server example.
  + Bugs fixed: bgo#748410.
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 0.26.0:
  + Update documentation build to work out-of-tree and skip
    useless rebuilds.
  + Include new API in gtk-doc.
  + Fix make distclean.
  + Updated translations.
* Thu Mar 19 2015 dimstar@opensuse.org
- Create /usr/sbin/rcrygel symlink for service control.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 0.25.3:
  + Server:
  - Some clean-up.
  - Use framerate in PlaySpeed response.
  - Style fixes.
  + Tracker: Fix for new resource handling.
  + Renderer:
  - Set "Connection: close" in HEAD request to server.
  - Fix GetProtocolInfo output.
  - Correctly escape state variables.
  - Fix an issue with dangling this pointer of AVTransport in
    lambdas.
  - Fix an issue with dangling service pointer in ChangeLog.
  - Fix AV1-MR:1-AVT:1-6.1.
  - Return an error on incorrect playback transitions
  + GStreamer Renderer: Add GObject introspection.
  + UI: Fix ambiguity with recent Vala compiler and GLib.ListStore.
- split out new typelib-1_0-RygelRendererGst-2_6 subpackage.
* Tue Mar  3 2015 dimstar@opensuse.org
- Move .desktop file from X-SuSE-ControlCenter-System to
  X-SuSE-ControlCenter-Personal: in essence, we're configuring
  personal preferences.
* Wed Feb 18 2015 dimstar@opensuse.org
- Update to version 0.25.2.1:
  + Fix distributed tarball.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 0.25.2:
  + Merge changes from Cablelab's CVP-2 implementation.
  + Avoid circular reference that made context recreation fail
    after suspend/resume cycle.
  + Bugs fixed: bgo#720218, bgo#736365, bgo#740221.
  + Updated translations.
* Mon Jan 26 2015 zaitor@opensuse.org
- Update to version 0.25.1:
  + Use different log domains for components.
  + Core: Fix typo.
  + Server: Small refactoring regarding remote/local resources.
  + Rygel: Improve compatibility with recent Vala compiler.
  + Tracker: Fix compile issues due to missing exception.
  + MediaExport: Fix issue where files removed on dist were not
    removed from index.
  + Bugs fixed: bgo#740903, bgo#741913, bgo#741953.
  + Updated translations.
* Sat Jan 24 2015 badshah400@gmail.com
- Update to version 0.25.0:
  + Fix issue with generated version if downstream calls
    autoreconf on the dist tarball.
  + Add Remote UI Server implementation.
  + Add EnergyManagement service implementation.
  + Bump ABI/API.
  + Renderer: Make it possible to implement different play modes.
  + Server:
  - Several style fixes and code refactorings.
  - Move the code for Samsung subtitles into Samsung device
    hack.
  + MediaExport: Style and documentation fixes.
  + GStreamer media engine: Fix warning about non-existent source
    id.
  + Simple media engine: Fix locking.
  + Tests: Reenable locking-affected engine tests.
  + Bump libmediaart version to 0.7.0.
  + Bugs fixed: bgo#737513, bgo#737522, bgo#737867.
- Package new plugin ruih:
  + Create new subpackage librygel-ruih-2_0-1 for the ruih
    shared library.
  + Require librygel-ruih-2_0-1 by the -devel package.
- Requires libmediaart >= 1.9.0 for building.
* Sat Jan 24 2015 zaitor@opensuse.org
- Update to version 0.24.3:
  + Distribute git-version-gen so that distributions that
    re-configure the tarball will get a proper version.
  + Core: Fix use of OCM flags.
  + Simple media engine: Fix locking.
  + GStreamer media engine: Fix Warning about removing the bus
    watch.
  + MediaExport: Fix issue with removed files still showing up in
    browser.
  + Bugs fixed: bgo#741953.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 0.24.2:
  + Server: Fix sidecar album art extraction.
  + Media-Export: Work-around an issue with GStreamer bindings that
    caused truncated embedded album art.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 0.24.1:
  + Server: Fix UpdateObject call on MusicItem.
  + External: Fix plugin activation.
  + MPRIS:
  - Fix stream position indication for clients that do not event
    "Position".
  - Fix plugin activation.
  - Force update of properties on plugin creation.
  + GObject-Introspection:
  - Fix renderer example and require a recent version of g-i.
  - Add license for examples.
  + Bugs fixed: bgo#737867.
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 0.24.0:
  + Make it possible to build without GObject introspection.
  + Server: Fix a critical about timeout sources.
  + MediaExport:
  - Fix typo in plugin file.
  - Don't delete a file if the file monitor signalled the file
    was deleted.
  + Renderer: Fix criticals on start-up.
  + GStreamer media engine: Fix possible race in accessing a
    critical section.
  + Updated translations.
* Wed Aug 20 2014 dimstar@opensuse.org
- Update to version 0.23.3.1:
  + build: Fix building of introspection data.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 0.23.3:
  + Some build fixes.
  + Add GObject introspection support and some examples.
  + Core: Fix building with recent vala versions.
  + Server:
  - Fix a crash when ImportResource() is cancelled.
  - Simplify error handling in ImportResource().
  - Use new libmediaart API.
  + Renderer: Make it possible to re-implement PlayerController.
  + Changes in dependencies: Libmediaart >= 0.5.0.
  + Known issues: It's currently not possible to implement a
    renderer using g-i. That is either some issue in Vala or a bug
    in what we do.
  + Bugs fixed: bgo#732057, bgo#734302.
  + Updated translations.
- Add gobject-introspection-devel BuildRequires: new dependency.
- Create new subpackages typelib-1_0-RygelCore-2_4,
  typelib-1_0-RygelRenderer-2_4 and typelib-1_0-RygelServer-2_4.
- Require the new subpackages by the -devel package.
* Mon Jul 28 2014 dimstar@opensuse.org
- Update to version 0.23.2:
  + Hide Object.uris property. Its semantics were always unclear.
  + Renderer:
  - Work-around failing HEAD requests, next incarnation.
  - Support M3U playlists.
  - Check instance id in Next() and Prev() SOAP calls.
  - Sent byte position in RelCount/AbsCount instead of int.MAX.
  + GStreamer renderer:
  - Remove "TRANSITIONING" state in Stop() and Pause() SOAP
    calls.
  - Don't try to parse empty meta-data for duration guessing.
  + Server:
  - Make sure tags don't contain white-spaces in UpdateObject()
    call.
  - Improve CSV splitting in UpdateObject().
  - Validate date in UpdateObject().
  + Basic Management: Fix NSLookup repitition.
  + Bugs fixed: bgo#732935.
  + Updated translations.
* Sun Jul 27 2014 dimstar@opensuse.org
- Update to version 0.23.1.1:
  + Launch rygel directly from desktop file (bgo#731858).
- Changes from version 0.23.1:
  + Remove -Wl,-z,defs.
  + Fix several criticals related to time-out sources.
  + Rygel:
  - Change single instance behavior; don't replace running
    instance by default, add new "-r/--replace" option to go back
    to the old behavior.
  - Several manpage fixes.
  + Server:
  - Pass on all resources on object creation.
  - Pass more meta-data on object creation.
  - Improve error handling in reference creation.
  - Set HTTP version to 1.1 as late as possible.
  - Port media art lookup to libmediaart.
  - Add some documentation for AudioItem.
  - Move some properties to base classes.
  - Fix a potential null pointer dereference.
  + Renderer:
  - Report NextAVTransport* values in GetMediaInfo().
  - Properly remove the playlist timeout.
  + GStreamer Renderer:
  - Don't exit if there is no playbin element.
  - Deprecate Renderer.wrap.
  - Use cubic volume.
  - Fix duration and position.
  - Use duration from meta-data until playbin does provide it.
  - Rely on libsoup to determine the proxy.
  - Use dlna+http virtual protocol if the dlnasrc element is
    available.
  + Preferences: Use Gtk.Window instead of Gtk.Dialog.
  + External: Let the peer decide on the sort order.
  + MediaExport:
  - Code style fixes.
  - Use libmediaart for media art extraction.
  - Handle external media art such as folder.jpg etc.
  - Prevent a strange warning on media upload.
  - Add a configuration option to disable/set the time to wait
    before extracting meta-data after a file modification event
    has happened.
  - Properly handle album art for m4a files.
  + Bugs fixed: bgo#689632, bgo#694455, bgo#702555, bgo#709723,
    bgo#710387, bgo#710443, bgo#720672, bgo#721817, bgo#721824,
    bgo#723374, bgo#726982, bgo#727424, bgo#727479, bgo#729090,
    bgo#731348, bgo#731859.
- Add pkgconfig(gstreamer-audio-1.0) and pkgconfig(libmediaart-1.0)
  BuildRequires: new dependencies.
* Sat Jul 26 2014 dimstar@opensuse.org
- Update to version 0.22.3:
  + Remove odd build flags.
  + Work-around an issue with valadoc and code samples.
  + Server:
  - Fix UPnP error codes on object creation.
  - Set HTTP version as late as possible.
  - Prevent a critical on upload.
  - Avoid a potential crash by null dereference.
  + Renderer:
  - Set Next* values in GetMediaInfo().
  - Rely on libsoap to handle proxies properly.
  - Fix an issue about non-existing timeout ids.
  - Work-around failing HEAD requests.
  - Set proper UPnP error if instance ids are missing on
    Prev/Next.
  - Send the current byte position.
  + Basic diagnostics: Fix use of repitition parameter in NSLookup.
  + GStreamer Renderer:
  - Fix duration for and position.
  - Parse duration from meta-data.
  - Remove "TRANSITIONING" state when going to "STOPPED" or
    "PAUSED_PLAYBACK".
  + GStreamer Media Engine: Prevent a critical after streaming
    ends.
  + Media Export:
  - Prevent a warning on upload.
  - Fix album art for m4a media.
* Wed Jul 16 2014 dimstar@opensuse.org
- Update to version 0.22.2:
  + Fix dbus plugins.
  + Bump libsoup requirement to 2.44.
  + tracker: actually use nmm:dlnamime property.
  + Bugs fixed: bgo#730913.
  + Updated translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 0.22.1:
  + Core: Don't spam debug log.
  + Renderer: Fix URI handling for playlists.
  + Bugs fixed: bgo#726776.
  + Updated translations.
* Tue Mar 25 2014 dimstar@opensuse.org
- Update to version 0.22.0:
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 0.21.6:
  + More cp -d replacement.
  + GStreamer Renderer: Fix two criticals on start-up.
  + Updated translations.
* Fri Mar  7 2014 zaitor@opensuse.org
- Update to version 0.21.5:
  + Some gtk-doc fixes.
  + Remove obsolete configure function from autogen.sh.
  + Fix "make distcheck".
  + Replace non-portable cp -d.
  + Fix GstLaunch examples in rygel.conf for GStreamer 1.0.
  + Add support for /etc/pretty-hostname.
  + Support building with tracker-1.0 API.
  + Core:
  - Remove Freedesktop.* DBus interfaces.
  - Move the two copies of Rygel.DLNAProfile to Core.
  + GStreamer Renderer:
  - Deprecate .wrap constructor.
  - Don't leak and return a value in the .wrap constructor on
    error.
  + MediaExport: Be a bit more helpful and tell which folder we
    failed to enumerate.
  + Bugs fixed: bgo#722021, bgo#722527, bgo#724138, bgo#724215,
    bgo#724820.
  + Updated translations.
- Drop rygel-Make-GstLaunch-pipelines-work-with-gst-1.0.patch and
  rygel-support-tracker-1.0.patch: Fixed upstream.
- Drop automake and libtool BuildRequires and stop passing
  autoreconf: No longer needed as we do not carry any patches.
* Thu Feb 20 2014 zaitor@opensuse.org
- Add rygel-support-tracker-1.0.patch: Support building with
  tracker-1.0, patch to be sent upstream.
- Replace pkgconfig(tracker-sparql-0.18) for
  pkgconfig(tracker-sparql-1.0) BuildRequires, and add automake and
  libtool BuildRequires and pass autoreconf due to above patch.
* Fri Feb 14 2014 dimstar@opensuse.org
- Update to version 0.21.4:
  + Core: Link against libm for "round" function.
  + Updated translations.
* Fri Feb 14 2014 dimstar@opensuse.org
- Update to version 0.21.3:
  + Update FSF address.
  + Server:
  - Use correct depth for PNG thumbnails.
  - Add hacks for LG SmartShare TVs.
  + MediaExport: Work around an SQL error when browsing Artists.
  + GStreamer Renderer:
  - Query source element for duration and position.
  - Remove BUFFERING/CLOCK_LOST handling.
  + External: Don't corrupt container names.
  + Bugs fixed: bgo#720671, bgo#720836, bgo#721270, bgo#721575,
    bgo#721824.
  + Updated translations.
* Fri Feb 14 2014 dimstar@opensuse.org
- Update to version 0.21.2.1:
  + Add build support for tracker 0.18.
  + Server:
  - Allow server plugins to override search capabilities.
  - Add more Samsung hacks.
  - Add seeking hacks for some UPnP music receivers.
  + Renderer:
  - Return protocol info of current media in
    GetCurrentConnectionInfo call.
  - Implement SetNextAVTransportURI.
  - Treat REL_TIME/ABS_TIME the same again. This is less broken
    than the original fix.
  - Use correct PlaybackStorageMedium values.
  + BasicManagement: Remove unused state variable.
  + MPRIS: Set default playspeed to prevent a critical.
  + External: Fix wrong parameter order in AlbumArtFactory.
  + Bugs fixed: bgo#706986, bgo#709165, bgo#712181, bgo#712660,
    bgo#715089, bgo#719721, bgo#719998, bgo#720669, bgo#720837.
  + Updated translations.
- Replace pkgconfig(tracker-sparql-0.16) BuildRequires with
  pkgconfig(tracker-sparql-0.18): move to Tracker 0.18.
- Change SLPP packages suffix from -2_0-1 to -2_2-2, following
  upstreams soname changes (incl. -devel pacakge requires).
* Fri Feb 14 2014 dimstar@opensuse.org
- Update to version 0.21.1:
  + Fix vala check to only compile, not link to avoid issues with
    gst-uninstalled.
  + Some documentation fixes.
  + Port to new libsoup session API.
  + Basic Management: Add initial support.
  + Server: Support serving subtitles using the PV method. Fixes
    external subtitles for a variety of devices such as WD TV Live
    or Panasonic TVs.
  + Renderer:
  - Accept missing mime-types in playlist check.
  - Fix CurrentTransportActions to include Next and Prev.
  - Support milliseconds in time-stamps.
  - Drop allowed value list from TransportPlaySpeed.
  - Unify playspeed parsing.
  - Implement DLNA bye seeking.
  - Fix and implement PlaybackStorageMedium variable.
  + MPRIS: Fix for new renderer API.
  + GStreamer renderer:
  - Implement DLNA byte seeking.
  - Enable more playspeeds.
  + Bugs fixed: bgo#707058, bgo#707059, bgo#707541, bgo#707831,
    bgo#710368, bgo#711399, bgo#711661, bgo#712336.
- Changes from version 0.21.0:
  + Port to new libsoup vapi.
  + Several i18n fixes.
  + Make missing gtk-doc non fatal and just don't build api docs
    then unless explicitly requested.
  + Rename --enable-valadoc to --enable-apidocs.
  + Several style fixes.
  + Add "devel" and "release" shortcuts to autogen.
  + Drop strict vala compiler because of deprecations.
  + Core: Get MediaDevice port from MetaConfig.
  + Server:
  - Generate proper contentFeatures.dlna.org header for DIDL_S
    resources.
  - Use xmlNs instead of specifying the namespace in string form
    in Samsung subtitle support.
  - Make MediaObject.serialize public to enable custom XML
    modifications.
  - Use URL-aware base64 encoding to prevent issues with "/".
  + Renderer:
  - Fix REL_TIME seeking.
  - Fix error codes when seeking beyond the file.
  - Fix error codes when time-seek is not available.
  - Add PossiblePlaybackStorageMedia values.
  - Set track info for empty or non-http uris.
  - Fix AbsoluteCounterPosition type.
  - Listen to MediaPlayer.volume changes.
  - Don't loop on image-only playlists.
  - Lower LastChange accumulation timeout.
  + GStreamer renderer:
  - Handle seeking beyond end of file.
  - Remove invalid DLNA profile MPEG_TS_HD_EU_ISO.
  - Fix GStreamer dependency to use 1.0 instead of 0.10.
  + MediaExport: Fix GstDiscoverer error handling.
  + MPRIS:
  - Fix seeking.
  - Query seeking ability from DBus.
  - Ignore read-only MPRIS peers.
  + Simple media engine: Support files > 4GB on 32bit systems.
  + Bugs fixed: bgo#677405, bgo#686628, bgo#692509, bgo#704317,
    bgo#707054, bgo#709077, bgo#709170, bgo#709190, bgo#709287,
    bgo#709551, bgo#709627, bgo#709723, bgo#709887, bgo#710377,
    bgo#710781.
  + Updated translations.
* Fri Feb 14 2014 zaitor@opensuse.org
- Add rygel-Make-GstLaunch-pipelines-work-with-gst-1.0.patch, make
  the GstLaunch pipelines in rygel.conf work with gst-1.0
  (bgo#724215, bnc#864121).
* Thu Dec 26 2013 zaitor@opensuse.org
- Update to version 0.20.3:
  + Allow building against Tracker 0.18.
  + Server:
  - Add more work-arounds for Samsung TVs.
  - Add more hacks for devices doing full seek requests.
  + Bugs fixed: bgo#715089.
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 0.20.2 (bnc#849913):
  + Renderer:
  - Return proper error if media is not seekable.
  - Prevent a critical on missing MIME-types.
  - Add Next/Prev to CurrentTransportActions.
  - Support milliseconds in renderer.
  + Server:
  - Fix XML generation.
  - Fix base64 escaping of URLs.
  + MPRIS:
  - Ignore read-only peers.
  + Bugs fixed: bgo#710377, bgo#710877, bgo#711399, bgo#711661.
  + Updated translations.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 0.20.1:
  + Core: Make it possible to set a fixed TCP port in
    Rygel.MediaDevice.
  + Renderer:
  - Implement REL_TIME seeking.
  - Fix UPnP error codes on illegal seek targets.
  - Fix PossiblePlaybackStorageMedia values.
  - Set track information for non-HTTP URIs.
  - Fix AbsoluteCounterPosition value type.
  - Reflect volume information from player on UPnP.
  - Don't do looped playback for image playlists.
  - Lower changelog aggregation timeout.
  + Server: Return proper contentFeatures header for generated
    playlists.
  + Preferences: Fix c&p tooltips.
  + GStreamer Renderer:
  - Check seek target before actually seeking.
  - Remove invalid MPEG_TS_HD_EU_ISO profile.
  + MediaExport: Fix an issue with disappearing files and having
    non-accessible files in the index.
  + MPRIS:
  - Fix seeking.
  - Only allow seeking on peers that actually support it.
  + Simple Media Engine: Fix issue when streaming a file > 4GB on
    platforms that don't support MMAP calls on files this large.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 0.20.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 0.19.7:
  + Renderer:
  - Fix compatible actions.
  - Fix missing , in renderer protocol info.
  - Initialize mute state from player.
  + MediaExport: Fix a crash after disabling virtual folders.
  + Rygel: Print version number on startup.
  + Bugs fixed: bgo#677552, bgo#701934, bgo#706978, bgo#707962.
  + Updated translations.
* Tue Sep  3 2013 dimstar@opensuse.org
- Update to version 0.19.6:
  + Improve Android compatiblity.
  + Server:
  - Fix upload of files.
  - Fix CreateReference call.
  + GStreamer Renderer:
  - Fix warning with newer valac about copying unowned structs.
  + MediaExport:
  - Fix warning with newer valac about copying unowned structs.
  + Bugs fixed: bgo#706525, bgo#706797, bgo#707065, bgo#707146.
  + Updated translations.
* Wed Aug 21 2013 dimstar@opensuse.org
- Update to version 0.19.5:
  + Core:
  - Use proper PNG depth value of 24 bit.
  - Fix several error codes.
  + Server:
  - Validate <createClass> nodes during object creation.
  - Fix recursive item removal and notification thereof.
  - Fix several error codes.
  - Remove manually removed items from the ItemRemovalQueue.
  - Report missing "Filter" argument in browse call.
  - Use searchClasses to find a compatible container in
    DLNA.ORG_AnyContainer container creation scenario.
  - Add X_GetDLNAUploadProfiles call.
  - Move the knowledge about supported DLNA profiles from the
    MediaEngine to the MediaServerPlugin.
  + Renderer:
  - Add possibility to define a set of supported DLNA profiles
    and not only mime types to the renderer.
  - Add missing <X_DLNADOC> node and content.
  - Remove unused state variables.
  + MediaExport plugin:
  - Fix invalid browse response in "Artist" folder that broke
    compatibility with certain Samsung TV sets.
  - Actually use the sort criteria when browsing/searching in
    virtual folders.
  - Fix a critical/crash on automatic item removal.
  - Implement container removal.
  - Emit containerUpdateID signals when a playlist container
    changes.
  - Add several messages when database operations fail.
  - Fix memory corruption in SQLite string collation functions.
  - Use fall-back search when client searches for @refID to
    capture the virtual container as well as manually created
    references.
  - Use correct OCM flags for playlist containers.
  - Remove hack for searching UPnP containers.
  - Fix recursion in virtual containers on certain search
    requests.
  - Fix a critical in the custom SQLite "CONTAINS" keyword
    implementation.
  + External plugin:
  - Fix an untranslatable message.
  + Bugs fixed: bgo#699698, bgo#702228, bgo#702253, bgo#702452,
    bgo#702633, bgo#702741, bgo#703135, bgo#704146, bgo#705084,
    bgo#705576, bgo#705587, bgo#705899, bgo#706058, bgo#706059,
    bgo#706142, bgo#706143, bgo#706182.
  + Updated translations.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 0.19.4:
  + Fix building with --enable-debug.
  + Fix device templates to have "correct" element order.
  + Add a target to generate the HTML versions of manpages.
  + Core:
  - Fix DescriptionFile.set_dlna_caps to properly create missing
    nodes.
  - Keep order of elements when manipulating the device
    description in DescriptionClass.
  - Refactor code to only manipulate the device description from
    one place.
  + Server:
  - Fix seeking with full-range seeks on time-based seek
    requests.
  - Fix a rare issue with item creation returning the wrong
    meta-data.
  - Fix UpdateObject UPnP call to actually work.
  - Use object.container by default and fall-back to
    object.container.storageFolder for XBox 360.
  - Fix error codes for serveral SOAP calls.
  - Add support for dc:creator.
  - Fix an accidental C ABI break.
  - Always add a user agent to the agent cache even if it doesn't
    match the current hack.
  - Force HTTP 1.1 as recommended by DLNA.
  - Fix upload of DIDL_S playlist items.
  - Make it possible to override OCM flags in children of
    MediaObject.
  + MediaExport:
  - Use proper (full) iso8601 date format as required by DLNA.
  - Use object.container by default and fall-back to
    object.container.storageFolder for XBox 360.
  - Use DLNA-compliant create-classes.
  - Allow reference creation everywhere.
  - Use dc:creator.
  - Don't leak file descriptors in the JPEG writer.
  - Set proper OCM flags on the playlist root container.
  - Set proper <upnp:searchClass> on containers.
  + Bugs fixed: bgo#701637, bgo#701948, bgo#702083, bgo#702231,
    bgo#702254, bgo#702255, bgo#702256, bgo#702258, bgo#702262,
    bgo#702451, bgo#702555, bgo#702743, bgo#703044, bgo#703140,
    bgo#703241, bgo#704066.
  + Updated translations.
* Sun Jun 23 2013 zaitor@opensuse.org
- Update to version 0.19.3:
  + Server:
  - Add container serialisation to EXTM3U.
  - Fix DLNA transfer modes for generated playlists.
  + Rygel: Add -s,--shutdown options to shut down a running
    instance without using d-feet or dbus-send.
  + GStreamer media engine:
  - Some string fixes.
  - Fix a typo in the avenc_aac preset.
  - Issue a proper warning when we fail to setup a data source.
  - Don't crash if there's no RTP depayloader available.
  + MediaExport:
  - Make it possible to remove playlists.
  - Expose the playlists for XBox 360.
  + Preferences UI:
  - Some glade file clean-ups.
  - Move toolbar style from code to glade file.
  - Support setting of multiple network interfaces as introduced
    in 0.19.2.
  + Updated translations.
- Drop libtool BuildRequires, and stop passing autoreconf -fi in
  %%build as we do not carry any patches.
* Tue Jun  4 2013 zaitor@opensuse.org
- Update to version 0.19.2:
  + Minor build fixes and clean-up.
  + Documentation updates and typos fixed.
  + Core: Make the interface= configuration multi-valued.
  + Rygel:
  - Make the commandline options translatable.
  - Show a message when we run in streaming-only mode.
  + Server: Some coding style fixes.
  + Renderer: Provide a proper fall-back to GET if peer does not
    support HEAD.
  + Preferences: Don't lose the current network interface.
  + MediaExport:
  - Don't lose child containers when we add the parent container.
  - Fix sorting by date.
  + Bugs fixed: bgo#648003, bgo#694357, bgo#700570.
- Changes from version 0.19.1:
  + Some build simplifications.
  + Fix translation comments.
  + Update the architecture diagram.
  + Stop blindly loading every dynamic library we can find in the
    plug-in folder.
  + Rygel: Show a warning if the user configuration could not be
    found.
  + Core:
  - Fix a memory leak in Rygel.DescriptionFile.
  - Rename a variable called "template" to avoid issues when
    using Rygel from C++.
  + Server: Don't add DIDL_S <res> nodes on childless containers.
  + Renderer: Treat MALFORMED requests as BAD_REQUESTS.
  + MediaExport:
  - Add infrastructure for testing the plug-in.
  - Add two regression tests for bgo#689326.
  - Unbreak synchronization use-cases.
  - Support server-side playlists.
  + Tracker: Make it possible to upload to DLNA.ORG_AnyContainer
    even if there's nothing of that type of media shared yet.
  + GStreamer media engine:
  - Some clean-up.
  - Work around a vala bug causing issues on non-Intel
    architectures.
  + Preferences:
  - Only set "enable" checkmark if the user's config file and the
    autostart file exist and enable-upnp is set in the
    configuration.
  - Fix issue with newly created user configuration being mostly
    empty on first start.
  - Use a GtkSwitch for enabling/disabling sharing.
  - Fix starting Rygel after enabling it in the dialog.
  + Bugs fixed: bgo#660885, bgo#695593, bgo#698260, bgo#698572,
    bgo#703281, bgo#697793, bgo#697949, lpo#827030
- Updated translations.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 0.18.2:
  + Rygel:
  - Show a warning on missing user configuration.
  + Core:
  - Fix a memory leak when modifying description files.
  - Rename a C++ reserved keyword.
  + Server:
  - Only add a DIDL_S resource to a container if it's non-empty.
  + Renderer:
  - Use a better work-around for peers not supporting HEAD
    requests.
  + GStreamer media engine:
  - Remove dead code
  - Work-around a vala code-gen bug causing streaming to fail on
    non-Intel architectures.
  - Drop a racy test.
  + Preferences UI:
  - Fix logic of enable/disable to involve existence of the
    autostart file.
  - Fix half-empty user configuration on first start.
  - Fix starting Rygel after enabling it in the UI.
  + MediaExport:
  - Fix bug where child folders disappeared until next start when
    adding their parent folder to the configuration.
  + Bugs fixed: bgo#648003, bgo#697793, bgo#698260, bgo#698572,
    deb#703281.
  + Updated translations.
* Tue Apr 16 2013 dimstar@opensuse.org
- Update to version 0.18.1:
  + Rygel:
  - Clarify commandline argument help.
  + Server:
  - Fix the check for OCM flags on object creation.
  - Set proper OCM flags in containers.
  - Containers don't need to be added to object removal queue.
  - Make it possible to delete a container via DestroyObject.
  - Accept invalid seek requests on non-seekable entities.
  + Renderer:
  - Improve mime-type comparing to be a bit more forgiving on the
    format.
  - Continue rendering even if peer does not support HTTP HEAD.
  + GStreamer media engine:
  - Drop some format restrictions GStreamer should be able to
    figure out itself.
  + MediaExport:
  - Prefer object titles given through CreateObject call to those
    got from meta-data extraction
  - Fix an issue where SQLite errors were accidentally dropped.
  - Fix child count for containers that only contain other
    containers.
  - Set the correct id when creating a container.
  + Bugs fixed: bgo#694814, bgo#694155, bgo#683926, bgo#694815,
    bgo#674736.
  + Updated translations.
* Tue Mar 26 2013 dimstar@opensuse.org
- Update to version 0.18.0:
  + Clarify the thread context of RygelDataSource's signals.
  + Fix a critical message during upload.
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 0.17.10:
  + Fix preferences desktop file.
  + Fix a typo and namespace for errordomain.
  + Add hacks for Samsung TVs to generate proper mime-type for
    Matroska files.
  + Fix variable expansion in configure scripts.
  + MediaExport:
  - Revert change for static titles (bgo#683926).
  + GStreamer renderer:
  - Show a proper error message on plabybin errors.
  + Bugs fixed: bgo#690877, bgo#691654.
  + Updated translations.
* Wed Mar  6 2013 dimstar@opensuse.org
- Update to version 0.17.9:
  + Fix ContainerUpdateIDs variable.
  + Add DLNA "create-child-container" capabilities.
  + Add possibility to create containers in addition to items.
  + Always downgrade each service to V1 for device quirks.
  + Downgrade to V1 for libupnp-based devices.
  + Downgrade to V1 for iOS clients using system libraries for
    HTTP.
  + Some spelling fixes.
  + Implement CreateReference UPnP call.
  + MediaExport:
  - Allow to create containers.
  - Use title set by CreateObject or UpdateObject instead of the
    one detected from meta-data extraction.
  - Some code clean-up.
  - Drop unused database column.
  + Bugs fixed: bgo#694019, bgo#694155, bgo#683926, bgo#694270,
    bgo#694179, bgo#694926.
  + Updated translations.
* Wed Feb 20 2013 zaitor@opensuse.org
- Update to version 0.17.8:
  + Various documentation fixes.
  + Fix an issue with using DLNA.ORG_AnyContainer on upload.
  + Linker fixes.
  + Some minor nullable fixes.
  + Modify .pc files to include useful information for external
    media engines and plug-ins.
  + Hide rygel-preferences in GNOME environment since it's handled
    by system settings.
  + MediaExport:
  - Various clean-ups.
  - Fix comparing GFiles properly.
  - Properly check for hidden files instead of using .has_prefix
    (".").
  - Don't emit multiple extraction errors.
  - Fix some unnecessary sting copying.
  - Fix plug-in start-up on on database error.
  - Fix harvesting of dates from media files.
  - More LastChange event emitting fixes.
  - React if configuration of uris changes.
  - Add an option to disable the virtual container hierarchy.
  - Also extract basic file information if no GstDiscoverer can
    be created.
  + GStreamer Renderer:
  - Support flash videos as announced by grl-ms2 and its youtube
    plug-in.
  - Honor http_proxy environment variable and desktop proxy
    settings.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.7:
  + Add keywords to .desktop file.
  + Fix documentation installation when building from tarball.
  + Convert all public classes to use GObject-style construction.
  + Add hack for Windows 7 system SSDP to show up in network
    neighbourhood as media device and not as a generic UPnP device.
  + Support .smi subtitles.
  + Also apply device downgrade hacks to the media renderer.
  + Fix an issue with translation strings being splitted.
  + GStreamer Media Engine:
  - Port to new GUPnP-DLNA API.
  + GStreamer Renderer:
  - Fix LPCM mime type to be case-insensitive.
  + MediaExport:
  - Drop unused DBus service. Same result will be achievable via
    manipulating the settings in the next release.
  - Some internal refactoring.
  - Correctly use @refID on items in the virtual folders.
  - Use proper container class for virtual folders.
  - Don't loop endlessly when database upgrade fails.
  - Port to new GUPnP-DLNA API.
  - Fix an issue when the XDG_ variables are not properly
    defined.
  + Bugs fixed: bgo#690770, bgo#690360, bgo#690533, bgo#675186,
    bgo#692189, bgo#691595 and
    https://github.com/01org/media-service-upnp/issues/117
  + Documentation updates.
  + Updated translations.
- Drop rygel-doc-install.patch: fixed upstream.
- Replace pkgconfig(gupnp-dlna-1.0) BuildRequires with
  pkgconfig(gupnp-dlna-2.0), following upstreams port to the new
  GUPnP-DLNA API.
- Add pkgconfig(gstreamer-app-1.0) and
  pkgconfig(gupnp-dlna-gst-2.0) BuildRequires: new verified
  dependencies.
- Replace pkgconfig(tracker-sparql-0.14) BuildRequires with
  pkgconfig(tracker-sparql-0.16).
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.6:
  + Fix parsing of configuration from environment variables.
  + Remove an ugly hack using leaking symbols in GStreamer media
    engines.
  + Documentation updates.
  + Example code updates.
  + Silence uncaught error from Thumbnailer when there's no DBus
    session bus.
  + Add a SD_NA MPEG2 transcoding profile for north american
    SD-only televisions.
  + Fix bitrates for the AVC_MP4_BL_CIF15_AAC_520 DLNA profile.
  + GStreamer Renderer: Fix pc file install and dependencies.
  + GStreamer Media Engine:
  - Clean-ups.
  - Print a proper warning if the transcoding profile is empty
    instead of showing a critical.
  + MediaExport:
  - Add "All" container below each artist.
  - Make some settings changeable at runtime: "extract-metadata"
    and "monitor-changes" can now be changed and they will be
    picked up without the need to restart or kill -HUP rygel.
  - Fix missing objAdd event in change tracking.
  - Suppress objMod events from containers that are not tracked.
  - Remove some triple update events for one update.
  + MPRIS: Show a less scary message when no DBus session bus is
    available.
  + External: Show a less scary message when no DBus session bus is
    available.
  + Bugs fixed: bgo#676136, bgo#679262, bgo#686676, bgo#690772.
  + Updated translations.
- Add rygel-doc-install.patch: Fix installation path for
  documentations.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.5.1:
  + Fix underlinking of some plug-ins.
  + MediaExport:
  - Fix database upgrade from schema version 11 to 12.
- Changes from version 0.17.5:
  + Correctly announce "content-synchronization" DLNA capability if
    supported.
  + Move some public classes to GObject-style construction.
  + Drop some obsolete code.
  + Large refactoring and clean-up of the build setup.
  + Renderer:
  - Fix issue with internal plug-in in librygel-renderer.
  - Delay creation of the PlayerController. This fixes a critical
    in the wrapping GStreamer renderer.
  - Fix an issue with X_DLNA_SeekTime being always available,
    even for images.
  - Fix a typo in the initial state variable notify.
  - Add renderer-side PlaySpeed support.
  + Server:
  - Fix issue with ServiceResetToken being regenerated at each
    start.
  - Fix issue with missing search capabilities when the plug-in
    supports change tracking.
  - Fix schema location in generated LastChange XML.
  - Fix issue where only the most recent LastChange event was
    added to the LastChange XML.
  - Fix an issue with default parameter set to "this" being
    ambigous.
  - Get the SystemUpdateID from the back-end when it supports
    change tracking.
  + GStreamer renderer:
  - Base RygelPlaybinRenderer on RygelMediaRenderer instead of
    directly extending RygelMediaDevice.
  - Move the plugin class back into the Playbin plugin.
  + MediaExport:
  - Implement tracking of changes.
  - Persist ServiceResetToken.
  - Persist systemUpdateID, containerUpdateID and
    totalDeletedChildCount.
  - Some file renaming to match coding style.
  - Don't try to parse each and every text file.
  - Don't run gst-discoverer on text files.
  + Fixed/added examples and tests.
  + Updated documentations.
  + Bugs fixed: bgo#689603, bgo#689134, bgo#689135, bgo#689960,
    bgo#690056.
- Changes from version 0.17.4:
  + Various documentation fixes.
  + Fix .pc file to point to correct version of libgee.
  + Hopefully final fix for building with --disable-valadoc.
  + Change --with-media-engine=none to =simple.
  + MediaExport:
  - Add DLNA profile for playlists.
  - Ignore files starting with ".".
  - Handle text/plain to accomodate issues with shared-mime-info
    and missing file extensions.
  + Bugs fixed: bgo#689517
- Changes from version 0.17.3:
  + Really bump Vala requirement as announced in previous version.
  + Remove obsolete --enable-test-plugin configure option.
  + Don't run tests by default.
  + Server:
  - Add serialisation of containers to DIDL_S playlist format.
  - Generate thumbnails for native files only.
  - Add support for playlist items.
  - Support DIDL_S DLNA profile.
  + Tracker:
  - Fix building against recent tracker releases.
  + Renderer:
  - Mark some strings for translation.
  - Add PresetNameList to initial notify.
  - Set correct track numbers.
  - Support DIDL_S playlists.
  - Some state notification fixes.
  - Add GetCurrentTransportActions UPnP call.
  + Playbin:
  - Add 3GPP mime-type.
  - Properly query duration using DURATION_CHANGED message and
    really check if the pipeline knows its TIME and not just its
    size.
  + Media-Export:
  - Reenable media art extraction.
  - Fix a critical on harvesting.
  - Fix an upload issue with the method to mark an item as a
    place-holder.
  - Support playlist items.
  + New example renderer
  + Updated documentations.
  + Bugs fixed: bgo#686638
  + Updated translations.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.2:
  + Fix , unescaping and CSV parsing in UpdateObject call.
  + Fix thumbnails for XBox 360.
  + Look for the proper device description XML.
  + Fix regression that caused missing Content-Length headers.
  + More GObject API changes.
  + Fix pkg-config files to not include GStreamer dependency.
  + Port to libgee-0.8 API
  + Remove unneccessary GStreamer dependencies
  + MediaExport: Fix regression causing empty containers.
  + Playbin: only report duration of a file if it's really known.
  + Examples: C version of the server plug-in.
  + Media-Engine Gstreamer: Port to GStreamer 1.0 API.
  + Known Issues:
  - Transcoding to WMV is not working properly, streams are
    audio-only.
  - Media art extraction is disabled as it caused
    crashes/lock-ups.
- Replace libgee-devel BuildRequires with pkgconfig(gee-0.8).
- Add pkgconfig(libxml-2.0) BuildRequires: new dependency.
- Change (Build)Requires/Recommends for port to GStreamer 1.0:
  + Old BuildRequires: pkgconfig(gstreamer-0.10),
    pkgconfig(gstreamer-pbutils-0.1), pkgconfig(gupnp-dlna-1.0)
  + New BuildRequires: pkgconfig(gstreamer-1.0),
    pkgconfig(gstreamer-pbutils-1.0), pkgconfig(gupnp-dlna-1.1)
  + Old Requires: gstreamer-0_10-plugins-base
  + New Requires: gstreamer-plugins-base
  + Old Recommends: gstreamer-0_10-plugins-bad,
    gstreamer-0_10-plugins-good and gstreamer-0_10-plugins-ugly
  + New Recommends: gstreamer-plugins-bad, gstreamer-plugins-good
    and gstreamer-plugins-ugly.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.1:
  + Many documentation updates.
  - Fix random failure of HTTPGetTest.
  - Clean-up linking, trying to fix over- and underlinking.
  - Adapt to new GUPnP vapi.
  - Fix crash if force-downgrade-for is empty.
  - Fix a namespace issue in the public API.
  - Fix the pkg-config files after API and bump.
  - Only create a seek when the client requests seeking.
  - Don't search for modules in hidden folders, except .libs to
    support --enable-uninstalled.
  - Drop the "test" plugin.
  - Switch some of the public members in API to GObject properties.
  - Some style fixes.
  - Change Device version to MediaServer:3.
  - Change Service version to ContentDirectory:3.
  - Implement "Track Changes" feature of ContentDirectory:3.
  - Add an API for plugins to show capabilities such as upload or
    change tracking.
  - Implement UpdateObject in ContentDirectory:3.
  + Media-Engine GStreamer:
  - Fix a crash in transcoding.
  - Fix a mix-up in DLNA profiles causing upload to fail.
  - Ignore full-range seeks, fixing a transcoding issue with
    certain versions of mpegtsmux.
  + MediaExport:
  - Don't expose a colorDepth of 0.
  - Allow updating of objects via UPnP call "UpdateObject".
  + Renderer-Gst:
  - Add convenience method to access GstPlaybin of renderer
    plug-in.
  + Examples:
  - Fix service description in SysV init script.
  - Add an example server plugin.
  - Add an example renderer plugin.
  + External:
  - Support "audio.music" as documented in the spec.
  + MPRIS:
  - Fix a crash when a peer does not implement mandatory
    properties.
  + Playbin:
  - Add mime-types for AAC audio.
  + Bugs fixed: bgo#674738, bgo#674738, bgo#676024, bgo#679023,
    bgo#680496, bgo#683934, bgo#684868, bgo#686018.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 0.17.0:
  + Implement notification on configuration changes.
  + Fix compatibility issues with newer Reciva firmwares.
  + Add missing header, vapi and deps files.
  + Make it possible to compile and run Rygel without GStreamer.
  + API version is bumped to 2.0.
  + .so version is bumped to 1.
  + Examples: Fix standalone-server example to not return 404 all
    the time.
  + Bugs fixed: bgo#685183.
* Wed Feb  6 2013 dimstar@opensuse.org
- Revert to usage of gupnp-dlna-1.0 in order to avoid GStreamer
  being linked in two versions (bnc#802296):
  + Replace pkgconfig(libgupnp-dlna-1.1) BuildRequires with
    pkgconfig(gupnp-dlna-1.0).
  + Stop replacing gupnp-dlna-1.0 in configure* with
    gupnp-dlna-1.1, reverting to original rygel upstream use.
* Fri Jan  4 2013 dimstar@opensuse.org
- Update to version 0.16.4:
  + Use correct bitrates for AVC_MP4_BL_CIF15_AAC_520.
  + Don't try to generate thumbnails for non-native files.
  + Playbin:
  - Add "PresetNameList" to initial LastChange notify.
  - Add 3GPP to supported formats.
  - Set proper track number on playback.
  - Fix a typo "PossibleRecordQualityMode" ->
    "PossibleRecordQualityModes".
  - Fix configuration via environment variables.
  - Print a proper warning on missing GStreamer elements for
    transcoding instead of showing a critical.
  - Prevent a critical when a no DBus thumbnailing daemon could
    be found.
  + MediaExport:
  - Fix an issue with uploaded files not being harvested and only
    having an res@importUri.
  - Don't bother to react on changes for hidden files as they're
    ignored in meta-data extraction anyway.
  - Add an "All" container below each artist's virtual container.
  + MPRIS:
  - Be less scary if there's no DBus session bus available.
  + External:
  - Be less scary if there's no DBus session bus available.
  + Bugs fixed: bgo#676136, bgo#679262
  + Updated translations.
- Replace pkgconfig(gupnp-dlna-1.0) BuildRequires with
  pkgconfig(gupnp-dlna-1.1): gupnp bumped the API Version (for
  GStreamer 1.0 / 0.10 parallel installability) and we want to use
  the new version).
- Replace gupnp-dlna-1.0 in configure* with gupnp-dlna-1.1. in
  order to detected the new gupnp-dlna API version.
* Thu Nov 15 2012 dimstar@opensuse.org
- Update to version 0.16.3:
  + Really fix the Content-Length: header handling and fix a
    regression introduced in 0.16.2 on the first try fixing that.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 0.16.2:
  + Skip modules in hidden directories to fix issues with certain
    distribution's debug symbols.
  + Ignore seek requests that request everything. Should fix issues
    with transcoding.
  + Fix thumbnails for transcoded videos on XBox 360. Also fixes
    "No transcoder available for WMVHIGH_FULL.wmv" messages.
  + Add missing Content-Length header.
  + Playbin:
  - Add AAC mime types as supported.
  - Only report duration if it's really known.
  - Add missing buffering and lost clock handling.
  + Updated translations.
* Mon Oct 15 2012 dimstar@opensuse.org
- Update to version 0.16.1:
  + Fix the installation and distribution of vapi and header files.
  + Add .deps files.
  + Add missing pkg-config files.
  + Force downgrade for devices with Reciva firmware.
  + Fix a crash if force-downgrade-for option is empty.
  + Fix linking with unstable GUPnP stack.
  + Fix MPEG2 transcoding with older mpegtsmux element.
  + External:
  - Actually use "audio.music" as documented in the MediaServer2
    spec.
  + MediaExport:
  - Ignore invalid color depth 0.
  + MPRIS:
  - Don't crash on faulty MPRIS2 implementations missing
    mandatory properties.
  + Examples:
  - Fix the server example to actuall work and not return 404 for
    every file.
  - Fix the service description in Debian init file.
  + Bugs fixed: bgo#685183, bgo#684868, bgo#683934, bgo#674738,
    bgo#685196, bgo#685478.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 0.16.0:
  + Install header files for librygel-server and librygel-renderer.
  + Add more API documentation.
  + Fix Rygel HTTP GET test failure on recent libsoup.
  + Updated translations.
* Tue Sep 18 2012 dimstar@opensuse.org
- Update to version 0.15.4:
  + Fix seeking issue
  + Fix server doc generation.
  + Fix hierarchy, signals and properties doc generation.
  + Fix tarball to include everything necessary to rebuild from
    vala code.
  + Fix tarball to include the upstart, sysv and systemd files.
  + MediaExport:
  - Drop the file extension filter and rely on content-types.
  + Bugs fixed: bgo#671361
  + Updated translations.
- Drop our own rygel.service: the tarball contains the example now.
* Fri Sep  7 2012 vuntz@opensuse.org
- Add libunistring-devel BuildRequires: this is an optional
  dependency we missed a while ago, used for collation.
- Package systemd service file:
  + Add systemd BuildRequires.
  + Add %%{?systemd_requires}.
  + Ship rygel.service (taken from git, as it's not in the
    tarball), and install it as %%{_unitdir}/rygel.service.
  + Add %%service_add_{pre,post,preun,postun} calls in scriptlets.
* Tue Sep  4 2012 dimstar@opensuse.org
- Update to version 0.15.3:
  + Update/Add some copyright headers
  + Fix the AVC_MP4_BL_CIF15_AAC_520 transcoder and enable it by
    default
  + Disable broken transmuxing. Was only working by chance anyway
  + Add start-up scripts for upstart, systemd and debian systemv
  + MediaExport:
  - Fix a regression in searching introduced in 0.15.2
  - Fix uploading. This was a "regression" we introduced while
    fixing uploading for the N9. The new method works for Tracker
    and MediaExport
  + Bugs fixed: bgo#683028
  + Updated translations.
* Mon Sep  3 2012 dimstar@opensuse.org
- Add pkgconfig(gstreamer-pbutils-0.10) BuildRequires: configure
  checks explicitly for it.
- Change gstreamer-0_10-devel BuildRequires to
  pkgconfig(gstreamer-0.10).
* Mon Aug 20 2012 dimstar@opensuse.org
- Update to version 0.15.2:
  + Prevent a critical if the thumbnail for a file does not exist.
  + Fix all warnings from newer Vala.
  + Let the plugins do the sorting to prevent that we slice before
    we sort.
  + Move the default sort criteria into MediaContainer to allow
    containers to override it if necessary.
  + Canonicalize common error messages.
  + Add TwoPlayer to V1 downgrades.
  + Small refactoring of the V1 handling.
  + Fix debug builds.
  + Add "description" property to MediaItem.
  + Remove misc.vapi.
  + Disable installing if --enable-uninstalled was used.
  + Tracker:
  - Sort browse results using SPARQL.
  - Sort album containers by disc, track and title.
  + MediaExport:
  - Sort browse and search results using SQL.
  - Fix a crash when a client tried to access a non-existent
    query container.
  - Sort album containers by disc, track and title.
  - Properly collate query containers.
  + Mediathek:
  - Extract date and description from RSS feed.
  - Sort by date descending (newest entry first) by default.
  + Bugs fixed: bgo#639809, bgo#652375, bgo#661482, bgo#668376,
    bgo#680742, bgo#681452
  + Updated translations.
- Replace libgupnp-dlna-devel BuildRequires with
  pkgconfig(gupnp-dlna-1.0): it is more preciese and matches what
  configure is looking for.
* Fri Aug 10 2012 dimstar@opensuse.org
- Update to version 0.15.1:
  + Fix setting of meta-data in AVTransport.
  + Fix compatibility with various new Samsung devices.
  + Fix content-range checking.
  + Relay meta-data to player instances in AVTransport.
  + Fall-back to template description if cached description is not
    readable.
  + Add librygel-core, librygel-server and librygel-renderer.
  + Generate documentation for newly created libraries.
  + Use GIO for thumbnail requests and don't fail if there's no
    thumbnail directory as tumbler creates that.
  + MediaExport:
  - Use display_name instead of filename to prevent encoding
    issues in DIDL.
  - Speed up browsing of virtual folders.
  - Fix upgrade from Rygel 0.6 (be nice to Debian stable users).
  - Fix translation of virtual folders.
  - Massively speed up initial meta-data extraction.
  + Playbin:
  - Uptime content-types for various XIPH formats.
  - Fix LPCM playback.
  + External:
  - Don't browse external containers recursively.
  - Guard against empty mandatory properties.
  + Tracker;
  - Port to libtracker-sparql.
  - Use nfo:fileName as alternative title if nie:title is not
    available.
  - Remove some dead code.
  - Unify query code.
  + Bugs fixed: bgo#644491, bgo#661988, bgo#674542, bgo#676037,
    bgo#677959, bgo#677966, bgo#679648
  + Updated translations.
- Add pkgconfig(tracker-sparql-0.14) BuildRequires: new dependency.
- Create subpackages for librygel-{core,renderer,server}-1_0-0,
  following SLPP.
* Thu Aug  9 2012 dimstar@opensuse.org
- Update to version 0.15.0.1:
  + Port to Vala 0.16 vapis.
  + Use new GMutex/GCond api.
  + Use GLib 2.30 Unix signal handling code.
  + Parse "Range:" HTTP headers using libsoup functions.
  + Fix SinkProtocolInfo generation in SinkConnectionManager.
  + Fix URI escaping in AVTransport ChangeLog generation.
  + Use the correct XML namespace for upnp:author and upnp:album in
    GetSortCapabilities.
  + Use GStreamer presets to set the encoding bitrates in our
    transcoders.
  + Lower the MP3 and MPEG2 bitrates a bit.
  + Remove the current AAC transcoder and add a working one.
  + Fix state machine transitions in AVTransport.
  + Set correct number of tracks and reset when URI is empty.
  + Implement GetMediaInfo_Ext.
  + Check InstanceID in AVTransport and RenderingControl.
  + Use "FactoryDefault" as default RenderingControl preset.
  + Update service description files to include the proper allowed
    values.
  + Verify if the URI passed in SetAVTransportURI is accessible and
    the media matches any of the advertised mime types.
  + Fix initial LastChange event to include all state variables.
  + Fix RecordMedium state variable to return "NOT_IMPLEMENTED".
  + Fix serveral error codes in AVTransport.
  + Add some checks for "Mute" and "Volume" in RenderingControl.
  + Push meta-data, mime type and contentFeatures.dlna.org to the
    MediaPlayer instance.
  + Select streamingMode.dlna.org header based on DLNA flags.
  + IOP:
  - Force version downgrade for devices using the Mediabolic UPnP
    stack.
  + Playbin:
  - Fix duration notification
  - Avoid Warning from GStreamer when an empty URI is set.
  - Use "NO_MEDIA_PRESENT" as initial state instead of "STOPPED".
  + GstLaunch:
  - Add an option to set the DLNA profile of a stream if
    applicable
  + Ui:
  - Fix initial set-up.
  - Fix removing autostart file when Rygel is not running.
  + Bugs fixed: bgo#675234, bgo#674071, bgo#674733
  + Updated translations.
- Add pkgconfig(glib-2.0) BuildRequires: new verified dependency.
* Wed Aug  8 2012 dimstar@opensuse.org
- Update to version 0.14.3:
  + Fix Samsung compatibility fix from 0.14.1.
  + MediaExport: Massively speed up indexing
  + Updated translations.
* Mon Jun 18 2012 dimstar@opensuse.org
- Update to version 0.14.2:
  + Fix content range checks
  + Fix compatibility with Samsung's UE40E* devices
  + MediaExport:
  - Force UTF-8 for titles, fixing invalid DIDLLite snippets
  - Use libunistring for UTF-8 collation if available
  - Get rid of unnecessary joins in virtual folders
  - Fix database upgrade from Rygel 0.6 (DB version 5)
  + Playbin:
  - Add more mime-types for containers and codecs from the XIPH
    family
  + Updated translations.
* Sun Apr 29 2012 dimstar@opensuse.org
- Update to version 0.14.1:
  + Fix compilation with GLib <= 2.28.
  + Fix generation of SinkProtocolInfo in all players.
  + Add work-around for Onkyo TX-NRxxx devices.
  + Escape URIs in player's ChangeLog.
  + MediaExport:
  - Fix the fix for using the correct container UPnP class.
  + Playbin:
  - Notify listeners about duration change only once.
  + UI:
  - Fix enabling and disabling of service autostart
  + Bugs fixed: bgo#674071, bgo#674733.
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 0.14.0:
  + Updated translations.
* Tue Mar 20 2012 vuntz@opensuse.org
- Update to version 0.13.4:
  + Add the new logo.
  + Don't abort if a client requests an invalid thumbnail or
    subtitle.
  + Don't crash if a GStreamer element is missing.
  + Set X_DLNACAP according to the allow-upload/allow-deletion
    configuration.
  + Drop the "maximum version" requirements in configure.ac.
  + Revert the "npt=0- is not a seek" patch since it broke DLNA
    requirement 7.3.33.4.
  + Don't crash if a User-Agent contains non-UTF-8 characters.
  + MPRIS:
  - Don't abort if a server doesn't use the proper type for the
    "Metadata" property.
  + MediaExport:
  - Set proper UPnP class for virtual containers.
  + Mediathek:
  - Reduce severity of a warning message.
  + Playbin:
  - Emit duration change once the playbin can know it.
  + Tracker:
  - Refactor alternative properties.
  + Bugs fixed: bgo#667781, bgo#672048.
  + Updated translations.
* Wed Mar  7 2012 dimstar@opensuse.org
- Update to version 0.13.3:
  + Fix a regression introduced in 0.13.2 that caused the XBox 360
    to show empty Album, Artist and Genre folders with the Tracker
    plugin.
  + Fix the time-out used on item creation.
  + Only ask tumbler to create thumbnails if it's not a remote
    resource.
  + Updated translations.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.13.2:
  + Work around a reference issue when using vala-0.16.
  + Really add the hack for WMP 12.
  + Fix XBox 360 showing the same songs multiple times in the
    "Songs" listing when not using MediaExport back-end.
  + Drop obsolete gconf dependency.
  + Don't crash when loading the same module twice accidently.
  + Add tests for ItemCreator class.
  + Refactor, document and clean-up ItemCreator class.
  + Use supplied <dc:date> in CreateObject call.
  + Tracker:
  - Revert the change that lets the fs-miner choose the RDF type.
    This broke uploading very badly.
  - Use the item's date when creating a new item.
  + Bugs fixed: bgo#660477, bgo#664184, bgo#669858.
  + Updated translations.
* Thu Feb  9 2012 dimstar@opensuse.org
- Update to version 0.13.1:
  + Fix MPEG2 transcoding to not fail due to a typo in the
    container caps.
  + Output debug information about the used transcoding profile.
  + Fix AVC transcoding: Framerate and resource resolution.
  + Some documentation updates.
  + Simplify the RTP depayloader guessing code by using GStreamer
    functionality.
  + Stop leaking HTTPRequests due to a ref cycle.
  + Some stability errors and conformance changes.
  + Add coverage reports for unittests.
  + Increase the coverage of some classes.
  + Fix basic search implementation for offset > 0 and limit == 0.
  + Add an environment variable to set the time-out for plug-in
    loading to help when running in valgrind.
  + IOP:
  - More refactoring: Version downgrade is not longer bound to
    the XBox 360 hacks and configurable.
  - Add hacks for XBMC which has problems to play AAC/M4A files
    shared with the "correct" DLNA mime-type.
  - Fix Slideshow option in XBox 360 when called from top-level
    image browser.
  - If a time-seek requests everything, just ignore that it's a
    seek.
  - Add a file extension to all served URIs to help those devices
    that need them.
  - Fix an issue where Windows Media Player 12 only showed the
    first 200 items.
  + UI:
  - Minor clean-up and polishing.
  - Tooltips.
  + Tracker:
  - Get rid of work-around for bgo#623685
  + MediaExport:
  - Fix a regression in the file monitor that caused moved files
    to be missed.
  - Update the documentation to clarify how to enter URIs in the
    configuration file.
  - Fix an endless loop when adding media to an empty but watched
    directory.
  - Delay the creation of the virtual folder hierarchy until the
    initial walk is done.
  + Mediathek:
  - Update the documentation on how to configure it and
    distribute those.
  + MPRIS:
  - Add possibility to disable the whole module.
  + External:
  - Don't crash if the D-Bus server doesn't behave as specified
    when sending updates.
  - Transcoding/Proxying if the uri contained the @ADDRESS@
    template
  - Fix icons; it was still using the MediaItem1 interface.
  - Update child count properly if container changes.
  - Add possibility to disable the whole module.
  + Bugs fixed: bgo#644538, bgo#653120, bgo#659432, bgo#663631,
    bgo#663826, bgo#666363, bgo#668335, bgo#669677, bgo#669680,
    rh#759206.
  + Updated translations.
- Remove xz BuildRequires now that it comes for free in the build
  system.
* Wed Nov 23 2011 dimstar@opensuse.org
- Update to version 0.13.0:
  + Use context-less API from gupnp-0.18.
  + Get rid of a nested MainLoop in HTTP POST handling that caused
    a lot of trouble with vala's async support.
  + Refactor ClientHacks into a generic part and XBox support.
  + Add a hack for Panasonic TVs that can only handle PNG
    thumbnails if you tell them they're JPEG.
  + Always build and run tests when using autogen.sh.
  + Write uploaded data to a temporary hidden file first and move
    to real file later, helping file monitors to only create a
    single event.
  + Add a 128x128 version of the icon.
  + Move the 48x48 JPEG icon and 120x120 icons necessary for DLNA
    out of the icon theme.
  + Drop XML comments from the content description files which
    might cause issues in IOP.
  + Stabilize the error handling in HTTP POST.
  + Clean-up GTK+ checks in configure.ac.
  + Only pass -g to valac when --enable-debug was passed.
  + More robust transcoding on faulty input.
  + Clean-up and refactor audio- and video-transcoders.
  + Clean-up RTP depayloader guessing.
  + Fix deadlock on Ctrl-C.
  + Fix a crash on filesystem error while uploading.
  + MediaExport:
  - Refactor and clean QueryContainer.
  - Use proper UPnP classes like
    object.container.album.musicAlbum for virtual folders.
  - Support audio-less videos.
  + Mediathek:
  - Set proper DLNA profile on the WMV streams.
  + Playbin:
  - Add support for image/jpeg and image/png.
  + Tracker:
  - Fix querybuilder for graphed statements.
  - Let tracker-fs-miner override properties and chose the proper
    RDF type for an uploaded file.
  - Cache ContainerUpdateIDs for metadata-based containers.
  + Bugs fixed: bgo#660107, bgo#661336, bgo#637226.
  + Updated translations.
- Drop rygel-newer-libsoup.patch: fixed upstream.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 0.12.5:
  + Send proper SSDP notification when killed with SIGTERM.
  + Fix out-of-tree builds.
  + Prevent a crash when searching and uploading in parallel.
  + Prevent a critical error when the uri to be added already
    exists.
  + Prevent a name clash when an uploader is really fast in
    creating items.
  + Mark thumbnail resources as transcoded. This helps certain
    devices to use them as thumbnails and not as the original
    stream.
  + Prevent a false-positive test success in http-post-test.
  + Use proper error if a client tries to get the children of a
    media item.
  + Fix huge CPU load if a client did a lot of byte-range requests
    on a large media file.
  + Tracker:
  - Fall back to nfo:fileLastModified if nie:creationDate is not
    available.
  - Properly clean and escape any passed item ID.
  + MediaExport:
  - Properly disable MediaExport if Tracker start-up is slow.
- Add rygel-newer-libsoup.patch: fix build with libsoup 2.37.x.
* Sat Oct  8 2011 zaitor@opensuse.org
- Update to version 0.12.4:
  + Fix an assertion when one of the preconditions failed during
    HTTP Post.
  + Limit the length of the filename generated in CreateObject to
    avoid problems on FAT.
  + Use SoupURI to validate and properly escape the URI given
    during CreateObject. This could cause huge CPU consumption
    if the URI was really long (1k).
  + Do not crash if ImportResource is cancelled.
  + Fix DBUS  thumbnailer regression introduced in 0.12.3
    (bgo#660892).
  + Updated translations.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 0.12.3:
  + Fix item upload when the upload directory was on a FAT
    partition and the title contained characters which are illegal
    on FAT.
  + Do not show a critical when the thumbnailer DBus service is not
    available.
  + Updated translations.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 0.12.2:
  + Fix a crash when a context disappears and reappears while Rygel
    is streaming media.
  + Only check for vala compiler when --enable-vala is passed.
  + Sanity check of upnp:class in CreateObject call.
  + Properly finish ImportResource call when the host in SourceUri
    is not reachable.
  + MediaExport:
  - Fix "contains" search
  - Add m2ts to harvested media files
  + Updated translations.
* Wed Sep 14 2011 vuntz@opensuse.org
- Update to version 0.12.1:
  + Fix service description templates for RenderingControl and
    AVTransport.
  + Update documentation for run-time dependencies.
  + MediaExport:
  - Speed-up virtual container browsing by adding indices to the
    database.
  + Playbin:
  - Fix setting of current playback URI, preventing a possible
    crash later on.
  - Announce support for video/x-mkv additonaly to
    video/x-matroska.
  + Tracker:
  - Only consider objects with URIs, otherwise a search or browse
    will error out unnecessarily.
  + External:
  - Add TrackNumber to optional properties.
* Mon Sep  5 2011 vuntz@opensuse.org
- Update to version 0.12.0:
  + Make use of the Thumbnailer DBus service if available.
  + Revert encodebin transcoder to pre 0.10.0 state. Transcoding
    should now work for everyone again.
  + Updated translations.
* Fri Aug  5 2011 dimstar@opensuse.org
- Update to version 0.11.3:
  + Fixed an abort if the client requested chunks of data being too
    small.
  + Fix memory leaking related to file upload.
  + Work-around a crash when the service description file is
    invalid.
  + Make rygel a single-instance app. If a new instance is started,
    the old instance will be shut down. This is likely to be
    reveresed in a future release.
  + Fix an UPnP compatibility regression.
  + Fix resolution and framerate for MPEG_TS_HD_NA_ISO transcoder.
  + Adapt to changes in upcoming vala-0.14
  + Allow UPnP class generalization on upload to
    DLNA_ORG.AnyContainer.
  + Add transcoders for AAC_ISO_320 and AVC_MP4_BL_CIF15_AAC_520.
    Note that both are disabled by default since GStreamer has some
    issues with these pipelines.
  + IOP:
  - Fix IOP with XBox 360's music browsing.
  - Fix IOP with Samsung Galaxy S.
  - Fix IOP with Allegro clients.
  + Tracker:
  - Properly escape meta-data strings.
  - Update search containers if tracker content changes.
  - Fix wrong search result when "exists true" was searched for
    artist, album and genre.
  - Implement @refID.
  - Add an option to share only those files that have a
    nmm:dlnaProfile set.
  + MediaExport:
  - Refactor database access code.
  + Bugs fixed: bgo#629582, bgo#654833
  + Updated translations.
* Sun Jul 17 2011 dimstar@opensuse.org
- Update to version 0.11.2:
  + Fix regression introduced in 0.11.1 which made tracker plugin
    fail to start.
  + Add commandline options -c, --config to override the user
    configuration file.
  + Add a config file options to override the upload directories.
  + Use proper UPnP service description syntax.
  + Tracker:
  - Clean-up left-over place-holder items on plugin start-up.
  + Updated translations.
* Tue Jun 21 2011 dimstar@opensuse.org
- Update to version 0.11.1:
  + Fix warnings and critical messages when Rygel is run without a
    DBus session bus available.
  + Modify XBox support to not disturb UPnP conformance.
  + Bump required minimum versions of GSSDP, GUPnP, GUPnP-AV and
    GUPnP-Vala.
  + Implement upnp:searchClass.
  + Several improvements to SOAP action parameter validation.
  + MediaExport:
  - Add APE to the supported media formats.
  + Updated translations.
* Fri Jun 10 2011 dimstar@opensuse.org
- Update to version 0.11.0:
  + Serve video thumbnails to XBox 360
  + Change ImportResource not to use GVFS
  + Validate passed sort criteria string
  + More validation and robustness of input arguments for actions
  + Complete supported formats for TimeSeekRange parsing
  + Ignore unknown commandline options and print help string when
    encountering those
  + Make sure an uploaded file is closed after HTTP POST
  + Several fixes related to seeking
  + Add restrictions to correct transfer modes
  + MediaExport:
  - Wait for filesystem events to settle before harvesting new
    files
  - General code clean-up, especially in the file monitor
  - Add option to disable file monitoring
  - Add more exotic media to be harvested:
    .mpc/.mpc: MusePack
    .wv: WavPack
    .aac: Stand-alone AAC (raw/ADTS)
    .mp2: MPEG 1, Audio Profile 2
    .webm: WebM video files
    .mka: Audio in a Matroska file
  - Ignore unknown file from discoverer
  + Tracker:
  - Print the used upload directories
  - Use D-Bus filtering for GraphUpdated, be waken much less by
    tracker
  - Support adding of existing but non-indexed files as well as
    general objects with all kinds of URIs through the
    CreateObject call
  - Generally rework the handling of place holder items which are
    uploaded later by the Content-Directory
  - Set item size in the tracker-miner graph
  + Updated translations.
* Wed Jun  1 2011 vuntz@opensuse.org
- Update summaries and descriptions based on new text from
  upstream.
- Remove now unneeded dbus-1-glib-devel BuildRequires: code got
  ported to GDBus.
* Wed Jun  1 2011 dimstar@opensuse.org
- Update to version 0.10.2:
  + Fix sorting on dates without time
  + Fix MediaExport plugin skipping m4a files
  + Fix serving of album art
  + Fix an assertion when harvesting files still being downloaded
  + Don't entity-quote UTF-8 characters
  + Fix a hidden potential crasher with vala async functions
  + bgo#648486: Rygel doesn't show up in Samsung PS50C77 TV.
* Fri May  6 2011 dimstar@opensuse.org
- Update to version 0.10.1:
  + Fix severe performance regression introduced in 0.9.9
  + Fix a crash on corrupt files
  + Generate ChangeLog from git on make dist
- Main changes in 0.10.0, since 0.8.x (see NEWS for all changes):
  + Satisfy more DLNA requirements and pass more DLNA testcases.
  + Various fixes for compatibility with different hardware
    (including XBox).
  + Sort Search and Browse results alphabetically (in descending
    order) by title when no sorting criteria is specified by the
    client.
  + Sort in ascending order by default.
  + HTTP Connection stalling supported for ALL streams.
  + Support 'background' mode for all streams.
  + Don't offer audio transcoding for videos.
  + Ability to enable/disable upload of media.
  + Ability to enable/disable deletion of media.
  + Add option to disable UPnP to all configuration sources.
  + Use both user & system configuration.
  + UI:
  - Trim-down the UI to only provide options that end-user needs.
  - Use the correct key for 'UPnP enabled' option.
  - All widgets must be disabled when sharing is.
  - Option to use 'any' network.
  + MediaExport:
  - Improved performance.
  - Hide empty virtual folders.
  - Avoid crawling $HOME by default.
  - Implement search by duration.
  + Mediathek:
  - Add option to choose between H.264 and WMV videos.
  + Tracker:
  - Improved performance.
  - Add 'Genre' hierarchy.
  - Expose more information for music items.
  - Make sure we only expose items that are either explicity
    marked to be shared over UPnP network or not marked at all.
  - Add "New" container: Under each category container, add a
    child container that lists all items of that category that
    were added (to tracker-store) less than 3 days ago.
  - Only share available files: As tracker also indices removable
    media we need to filter out those files that are currently
    unavailable.
  + Improved log output control.
  + Port from dbus-glib and GValue usage to GDBus and GVariant.
  + Many bug fixes, including fixes for crashes.
  + Updated translations.
- Replace gtk2-devel BuildRequires with pkgconfig(gtk+-3.0)
* Mon Feb 14 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Drop %%mime_database_post/postun calls in %%post/%%postun: there is
  no mime type definition in the package.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Tue Dec 14 2010 vuntz@opensuse.org
- Do not install 120x120 icons: this is an invalid size, and it
  makes the build fail. So we remove them for now, until upstream
  uses the right 128x128 size.
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 0.8.3:
  + Sort Search and Browse results alphabetically (in descending
    order) by title when no sorting criteria is specified by the
    client.
  + Remove redundant call to Gst.init().
  + Unique short commandline argument for disabling WMV transcoding
  + MediaExport:
  - Export media even if metadata extraction fails for it.
  - Improved debug log.
  + Updated translations.
* Fri Oct 22 2010 vuntz@opensuse.org
- Update to version 0.8.2:
  + Don't assume user's config folder to be present everywhere.
  + Destroy the device list before quitting main loop to make sure
    to send the SSDP 'BYE' message to devices.
  + Tracker:
  - Make sure we only expose items that are either explicity
    marked to be shared over UPnP network or not marked at all.
  - Assume UPnP-created items to be shared. We create items on
    demand from UPnP clients so its logical to assume that the
    client would want it to be available on the UPnP network
    immediately after their creation.
  - URI escape metadata titles for IDs to correctly handle titles
    that have charachters like ',' and ':' in them.
  - Some non-functional changes.
  + MediaExport:
  - Proper default values for item metdata. This fixes the
    misterious "0" Album and Artist on XBox.
  - Handle requests for audio and image item types, not just
    music and pictures.
  + Updated translations.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 0.8.1:
  + Make i18n actually work.
  + Updated translations.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 0.8.0:
  + Don't add 'modelDescription' node in device description if
    already added.
  + Generate XML files from templates at build time so we can strip
    out newlines and leading whitespace to improve our IOP with
    some devices in the market that use some crappy XML parsers.
  + Don't let libxml add a newline after the 'xml' header node.
  + rygel-preferences:
  - Use correct Gtk+ Vala API version.
  + MediaExport:
  - Add null checks to avoid crash in environments where standard
    XDG folders are undefined or unknown to glib.
  + Localization:
  - Make .desktop files translatable.
  + Updated translations.
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 0.7.8:
  + If the client didn't pass a Range header in the request, don't
    append Accept-Ranges and Content-Range headers to response.
    This fixes picture browsing on XBox 360 (again).
  + Don't put empty nodes in device description.
  + Use '\r\n' instead of '\n' in XML files. Some UPnP devices in
    the market are apparently unable to handle the unix EOL
    character so we better provide the XML files in DOS format.
  + MediaExport:
  - Fix an assertion failure.
  + Localization:
  - Remove markup from a translatable string in preferences UI.
  - Don't build translatable strings by substitution.
  - Prefer the term 'folder' over 'directory' in translated
    strings.
  - Miscellaneous string fixes.
  - Don't translate debug messages.
  + Updated translations.
* Sat Sep  4 2010 vuntz@opensuse.org
- Cleanup package:
  + Improve summaries and descriptions.
  + Add Recommends for gstreamer-0_10-plugins-base,
    gstreamer-0_10-plugins-bad, gstreamer-0_10-plugins-good,
    gstreamer-0_10-plugins-ugly.
  + Ship in the main package some useful plugins, instead of having
    them in separate packages.
  + Make the plugin-zdf-mediathek subpackage automatically
    installable for users using the de locale.
  + Move the Supplements for tracker to the plugin-tracker
    subpackage, where it belongs.
  + Create a lang subpackage.
* Wed Sep  1 2010 lmedinas@opensuse.org
- Initial package (version 0.7.7).
